Quassel IRC - Bug #663

Crash when disabling uniform row heights for BufferView
04/07/2009 10:23 AM - jotik

Status: Assigned Start date: 04/07/2009
Priority: Normal Due date:

Assignee: Sputnick % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Version: 0.41 0S: Linux
Description

Quassel was hidden in tray. | clicked the tray icon and Quassel crashed.

Related issues:

Related to Quassel IRC - Bug #566: Segfault on network disconnect Closed 02/18/2009
Has duplicate Quassel IRC - Bug #705: 0.4.2 crash on startup systray icon click. Rejected 05/25/2009
Has duplicate Quassel IRC - Bug #710: Crash when clicking systray icon right ... Rejected 05/30/2009

Associated revisions

Revision 617a3966941742a4e235af440d3665d0274354a8 - 03/14/2010 01:51 PM - Manuel Nickschas
Reset the BufferViewFilter after setting a new config

I'm not sure why, but somehow BufferView crashes in rare occasions because of invalid modelindexes

if we don't reset the BufferModel after setting its config. This is even true if we haven't set

a source model before, so an attached View couldn't even get any invalid indexes in the first

place. Anyway, it stops Quassel from crashing here, so | shouldn't complain, | guess.

This hopefully fixes #663, the Heisenbug that has haunted us for a long time now. At least for me.
Revision 617a3966 - 03/14/2010 01:51 PM - Manuel Nickschas

Reset the BufferViewFilter after setting a new config

I'm not sure why, but somehow BufferView crashes in rare occasions because of invalid modelindexes

if we don't reset the BufferModel after setting its config. This is even true if we haven't set

a source model before, so an attached View couldn't even get any invalid indexes in the first

place. Anyway, it stops Quassel from crashing here, so | shouldn't complain, | guess.

This hopefully fixes #663, the Heisenbug that has haunted us for a long time now. At least for me.
Revision cb91905054a970d659ff50f40798e8e1e674a388 - 04/05/2010 09:58 PM - Manuel Nickschas

Revert "Reset the BufferViewFilter after setting a new config"

No, doesn't fix #663. Also it has side effects with Qt 4.7 and some other bugs.
So bringing back the old workaround sigh

This reverts commit 617a3966941742a4e235af440d3665d0274354a8.
Revision cb919050 - 04/05/2010 09:58 PM - Manuel Nickschas
Revert "Reset the BufferViewFilter after setting a new config"

No, doesn't fix #663. Also it has side effects with Qt 4.7 and some other bugs.
So bringing back the old workaround sigh

This reverts commit 617a3966941742a4e235af440d3665d0274354a8.

History

#1 - 04/07/2009 11:22 AM - jotik

I think | discovered a way to reproduce this: Minimize Quassel to tray on startup when it's still connecting to the core. When the tray icon changes to
show it has connected, click on that icon.

(gdb) thread apply all bt
Thread 2 (Thread 0x42133950 (LWP 4788)) :

#0 0x00007fdc34cl39b9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0

#1 0x00007fdc37ed56b9 in QWaitCondition::wait (this=0x15a9a80, mutex=0x15a9a78, time=18446744073709551615) at
thread/gwaitcondition_unix.cpp:87

#2 0x00007fdc36ead48d4 in QHostInfoAgent::run (this=0x15a9a60) at kernel/ghostinfo.cpp:260

#3 0x00007fdc37ed4939 in QThreadPrivate::start (arg=0xl5a9%9a60) at thread/gthread_unix.cpp:189
#4 0x00007£fdc34c0f097 in start_thread () from /lib/libpthread.so.0
#5 0x00007fdc33f96ccd in clone () from /lib/libc.so.6

#6 0x0000000000000000 in 27? ()

Thread 1 (Thread 0x7fdc38458760 (LWP 4787)):

#0 QSortFilterProxyModel: :parent (this=0xd649e0, child=<value optimized out>) at src/corelib/kernel/gabstract
itemmodel.h:65

#1 0x00007fdc37797b71 in QTreeView::indexRowSizeHint (this=0xd7ff90, index=@0x1334eal) at src/corelib/kernel/
gabstractitemmodel.h:369

#2 0x00007£dc37798205 in QTreeViewPrivate::itemHeight (this=0xlbadec0, item=0) at itemviews/gtreeview.cpp:316
8

#3 0x00007fdc37798471 in QTreeViewPrivate::updateScrollBars (this=0xlbadec0) at itemviews/gtreeview.cpp:3415

#4 0x00007fdc377988af in QTreeView::updateGeometries (this=0xd7ff90) at itemviews/gtreeview.cpp:2659
#5 0x00007£dc37310£f8c in QWidget::event (this=0xd7££90, event=0x7f£ff40497390) at kernel/gqwidget.cpp:7662
#6 0x00007fdc376532eb in QFrame::event (this=0xd7ff90, e=0x7fff40497390) at widgets/gframe.cpp:559

#7 0x00007£dc377697bd in QAbstractItemView::viewportEvent (this=0xd7£f£90, event=0x7f£f40497390) at itemviews/
gabstractitemview.cpp:1466
#8 0x00007£dc3779c9fd in QTreeView::viewportEvent (this=0xd7f£f90, event=0x7f£f40497390) at itemviews/gtreevie
w.cpp:1257
#9 0x00007fdc37fa7c77 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized out>,
receiver=0x18f65c0, event=0x7f££f£40497390)

at kernel/gcoreapplication.cpp:718

#10 0x00007fdc372c39cc in QApplicationPrivate::notify_helper (this=0xcl74c0, receiver=0x18f65c0, e=0x7ff£f40497
390) at kernel/gapplication.cpp:4080

#11 0x00007fdc372cb39%a in QApplication::notify (this=0x7f££f404992b0, receiver=0x18f65c0, e=0x7££f£40497390) at
kernel/gapplication.cpp:4049

#12 0x00007fdc354a347b in KApplication::notify (this=0x7f££404992b0, receiver=0x18f65c0, event=0x7£££40497390)

at /usr/src/debug/kde-base/kdelibs-4.2.1-r3/kdelibs-4.2.1/kdeui/kernel/kapplication.cpp:307

#13 0x00007fdc37fa894b in QCoreApplication::notifyInternal (this=0x7f£ff404992b0, receiver=0x18f65c0, event=0x7
£f££40497390) at kernel/qcoreapplication.cpp:598
#14 0x00007£dc3730bd21 in QWidgetPrivate::sendPendingMoveAndResizeEvents (this=0xd80de0, recursive=false, disa
bleUpdates=false)

at src/corelib/kernel/qcoreapplication.h:213

#15 0x00007fdc37311bb3 in QWidgetPrivate::show_helper (this=0x7fff40496410) at kernel/gwidget.cpp:6663

#16 0x00007fdc3731225a in QWidget::setVisible (this=0x18f65c0, visible=<value optimized out>) at kernel/qwidge
t.cpp:6941

#17 0x00007£dc3731204e in QWidgetPrivate::showChildren (this=<value optimized out>, spontaneous=false) at src/
gui/kernel/qgwidget.h:473

#18 0x00007fdc37311bcf in QWidgetPrivate::show_helper (this=0xlbadec0) at kernel/gqwidget.cpp:6669

#19 0x00007£dc37312032 in QWidgetPrivate::showChildren (this=<value optimized out>, spontaneous=false) at kern
el/qwidget.cpp:7027
#20 0x00007fdc37311lbcf in QWidgetPrivate::show_helper (this=0xdbaeb0) at kernel/gwidget.cpp:6669

#21 0x00007fdc37312032 in QWidgetPrivate::showChildren (this=<value optimized out>, spontaneous=false) at kern
el/gwidget.cpp:7027
#22 0x00007£fdc37311lbcf in QWidgetPrivate::show_helper (this=0xd03ed0) at kernel/gwidget.cpp:6669

#23 0x00007£fdc3731225a in QWidget::setVisible (this=0xd03db0, visible=<value optimized out>) at kernel/qwidget
.cpp:6941

#24 0x0000000000442306 in MainWin::toggleMinimizedToTray (this=0xd03db0) at /usr/include/qt4/QtGui/gwidget.h:4
73

#25 0x00000000004b58e3 in MainWin::gt_metacall (this=0xd03db0, _c=QMetaObject::InvokeMetaMethod, _id=<value op
timized out>, _a=0x7£f£ff404979e0)
at /usr/src/debug/net-irc/quassel-0.4.1/quassel_build/src/gtui/moc_mainwin.cxx:148

#26 0x00007fdc37fbad3d in QMetaObject::activate (sender=0xd48560, from_signal_index=<value optimized out>, to_
signal_index=4, argv=0xd649e0)
at kernel/gobject.cpp:3057

#27 0x00000000004b659c in SystemTray::activated (this=0x7£f££40496410, _tl=QSystemTrayIcon::Trigger)
at /usr/src/debug/net-irc/quassel-0.4.1/quassel_build/src/gtui/moc_systemtray.cxx:114

#28 0x00000000004b6766 in SystemTray::gt_metacall (this=0xd48560, _c=QMetaObject::InvokeMetaMethod, _id=<value
optimized out>, _a=0x7f£ff40497b20)
at /usr/src/debug/net-irc/quassel-0.4.1/quassel_build/src/gtui/moc_systemtray.cxx:90

#29 0x00007fdc37fbad3d in QMetaObject::activate (sender=0xd593f0, from_signal_index=<value optimized out>, to_
signal_index=4, argv=0xd649e0)
at kernel/gobject.cpp:3057

#30 0x00007£fdc3787bele in QSystemTrayIcon::activated (this=0x7f£ff40496410, _tl=QSystemTrayIcon::Trigger) at .m
oc/release-shared/moc_gsystemtrayicon.cpp:128

#31 0x00007fdc3787065¢c in QSystemTrayIconSys::mousePressEvent (this=0xd43930, ev=0x7fff40498410) at util/gsyst
emtrayicon_x1l1l.cpp:298

#32 0x00007fdc373112db in QWidget::event (this=0xd43930, event=0x7££ff40498410) at kernel/qwidget.cpp:7512

#33 0x00007£fdc372c39fd in QApplicationPrivate::notify_helper (this=0xcl74c0, receiver=0xd43930, e=0x7fff404984
10) at kernel/gapplication.cpp:4084
#34 0x00007fdc372cbaf9 in QApplication::notify (this=<value optimized out>, receiver=0xd43930, e=0x7fff4049841
0) at kernel/gapplication.cpp:3786
#35 0x00007fdc354a347b in KApplication::notify (this=0x7ff£f404992b0, receiver=0xd43930, event=0x7f££f40498410)

at /usr/src/debug/kde-base/kdelibs-4.2.1-r3/kdelibs-4.2.1/kdeui/kernel/kapplication.cpp:307
#36 0x00007fdc37fa894b in QCoreApplication::notifyInternal (this=0x7f£ff404992b0, receiver=0xd43930, event=0x7f
££f40498410) at kernel/gcoreapplication.cpp:598
#37 0x00007fdc372cd028 in QApplicationPrivate::sendMouseEvent (receiver=0xd43930, event=0x7fff40498410, alienW
idget=0x0, nativeWidget=0xd43930,

buttonDown=<value optimized out>, lastMouseReceiver=@0x7fdc37claf70) at src/corelib/kernel/qcoreapplicatio
n.h:216
#38 0x00007f£dc3732689c in QETWidget::translateMouseEvent (this=0xd43930, event=<value optimized out>) at kerne
1/gapplication_x11.cpp:4425
#39 0x00007£dc3732579d in QApplication::x11ProcessEvent (this=0x7fff404992b0, event=0x7fff40498da0) at kernel/
gapplication_x11.cpp:3543
#40 0x00007fdc3734al9c in xllEventSourceDispatch (s=0xclab70, callback=0, user_data=0x0) at kernel/gguieventdi
spatcher_glib.cpp:146
#41 0x00007£fdc333ff711 in IA_ g_main_context_dispatch (context=0xc19d20) at gmain.c:2144
#42 0x00007£dc33402e8d in g_main_context_iterate (context=0xcl9d20, block=1l, dispatch=1, self=<value optimized
out>) at gmain.c:2778
#43 0x00007fdc3340304b in IA_ g_main_context_iteration (context=0xcl9d20, may_block=1) at gmain.c:2841
#44 0x00007fdc37fcdd9f in QEventDispatcherGlib::processEvents (this=0xc03510, flags=<value optimized out>) at
kernel/geventdispatcher_glib.cpp:323
#45 0x00007fdc37349a5f in QGuiEventDispatcherGlib: :processEvents (this=0x7fff40496410, flags=<value optimized
out>) at kernel/qguieventdispatcher_glib.cpp:202
#46 0x00007fdc37fa7302 in QEventLoop::processEvents (this=<value optimized out>, flags={i = 1078562960}) at ke
rnel/geventloop.cpp:149
#47 0x00007£fdc37fa7495 in QEventLoop::exec (this=0x7f£f£f404990d0, flags={i = 1078563040}) at kernel/geventloop.
cpp:196
#48 0x00007fdc37fa952c in QCoreApplication::exec () at kernel/gcoreapplication.cpp:880
#49 0x000000000042f0e5 in main (argc=1l, argv=0x7fff40499678) at /usr/src/debug/net-irc/quassel-0.4.1/quassel-0
.4.1/src/common/main.cpp:134

#2 - 04/07/2009 11:38 AM - Sputnick
- Status changed from New to Confirmed
- Priority changed from Normal to High

- Target version set to 0.4.2

Thanks, that looks quite helpful. Related to a ton of other crashes too (#566 for instance).

#3 - 05/18/2009 11:29 AM - dalbers
Qt-Version 4.5.0-Oubuntu4

svn://svn.debian.org/svn/pkg-kde/trunk/packages/qt4-x11

Anwendung: Quassel IRC (quasselclient), Signal SIGSEGV
https://bugs.quassel.info/issues/566

[Current thread is 0 (LWP 8692)]

Thread 2 (Thread 0xbl0edb90 (LWP 8693)):

#0 O0xb7f6f430 in __kernel_vsyscall ()

#1 0xb67c80e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0

#2 0xb69ac2ed in _ pthread_cond_wait (cond=0x%9ac03d8, mutex=0x9ac03c0) at forward.c:139

#3 0xb7d839b2 in QWaitCondition::wait (this=0x9%9a8aa20, mutex=0x9%9a8aalc, time=4294967295) at thread/gwaitcondi
tion_unix.cpp:87

#4 0xb7229152 in QHostInfoAgent::run (this=0x9%9a8aall) at kernel/ghostinfo.cpp:260

#5 0xb7d8296e in QThreadPrivate::start (arg=0x9%a8aall) at thread/qthread_unix.cpp:189

#6 0xb67c44ff in start_thread (arg=0xbl0edb90) at pthread_create.c:297

#7 0xb699d49e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 1 (Thread 0xb5£f34700 (LWP 8692)):

[KCrash Handler]

#6 QSortFilterProxyModel: :parent (this=0xae28360, child=Q@0xbl11b378) at ../../include/QtCore/../../src/corelib
/kernel/gabstractitemmodel.h:65

#7 0xb79pf938 in QTreeView::indexRowSizeHint (this=0xb666d00, index=Q@Q0xbl1lb378) at ../../include/QtCore/../..
/src/corelib/kernel/gabstractitemmodel.h:369

#8 0xb79c0072 in QTreeViewPrivate::itemHeight (this=0xa6c8588, item=7) at itemviews/gtreeview.cpp:3168

#9 0xb79c0330 in QTreeViewPrivate::updateScrollBars (this=0xa6c8588) at itemviews/gtreeview.cpp:3415

#10 0xb79c06b2 in QTreeView::updateGeometries (this=0xb666d00) at itemviews/gtreeview.cpp:2659

#11 0xb797c264 in QAbstractItemView::resizeEvent (this=0xb666d00, event=0xbfb8b444) at itemviews/gabstractitem
view.cpp:2181

#12 0xb745e9e6 in QWidget::event (this=0xb666d00, event=0xbfb8b444) at kernel/qwidget.cpp:7662

#13 0xb7838d83 in QFrame::event (this=0xb666d00, e=0xbfb8b444) at widgets/gframe.cpp:559

#14 0xb78d8d3f in QAbstractScrollArea::viewportEvent (this=0xb666d00, e=0xfffffffd) at widgets/gabstractscroll
area.cpp:962

#15 0xb798aa37 in QAbstractItemView::viewportEvent (this=0xb666d00, event=0xbfb8b444) at itemviews/gabstractit
emview.cpp:1466

#16 0xb79c54b4 in QTreeView::viewportEvent (this=0xb666d00, event=0xbfb8b444) at itemviews/gtreeview.cpp:1257
#17 0xb78db345 in QAbstractScrollAreaFilter::eventFilter (this=0xb668bb8, 0=0xb7c4d40, e=0xbfb8b444) at widget
s/gabstractscrollarea_p.h:100

#18 Oxb7e75c5a in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x93a0e98, receiver=0xb7c4d40,
event=0xbfb8b444) at kernel/qcoreapplication.cpp:718

#19 0xb7407f0a in QApplicationPrivate::notify_helper (this=0x93a0e98, receiver=0xb7c4d40, e=0xbfb8b444) at ker
nel/gapplication.cpp:4080

#20 0xb7410312 in QApplication::notify (this=0xbfb8cd78, receiver=0xb7c4d40, e=0xbfb8b444) at kernel/gapplicat
ion.cpp:4049

#21 0xb6dd594d in KApplication::notify () from /usr/lib/libkdeui.so.5

#22 0xb7e76a3b in QCoreApplication::notifyInternal (this=0xbfb8cd78, receiver=0xbfb8cd78, event=0xbfb8b444) at
kernel/gcoreapplication.cpp: 602

#23 0xb745d2ec in QWidgetPrivate::sendPendingMoveAndResizeEvents (this=0x9019118, recursive=false, disableUpda

tes=false) at ../../include/QtCore/../../src/corelib/kernel/qgcoreapplication.h:213

#24 0xb7464046 in QWidgetPrivate::show_helper (this=0x9019118) at kernel/qwidget.cpp:6663

#25 0xb7464773 in QWidget::setVisible (this=0xb7c4d40, visible=true) at kernel/gwidget.cpp:6941

#26 0xb7464548 in QWidgetPrivate::showChildren (this=0xa6c8588, spontaneous=false) at ../../include/QtGui/../.
./src/gui/kernel/qwidget.h:473

#27 0xb7464071 in QWidgetPrivate::show_helper (this=0xa6c8588) at kernel/gwidget.cpp:6669

#28 0xb74643a9 in QWidgetPrivate::show_recursive (this=0xa6c8588) at kernel/gwidget.cpp:6593

#29 0xb746452f in QWidgetPrivate::showChildren (this=0xaecbbf(, spontaneous=false) at kernel/gwidget.cpp:7027
#30 0xb7464071 in QWidgetPrivate::show_helper (this=0xaecbbf0) at kernel/gwidget.cpp:6669

#31 0xb74643a9 in QWidgetPrivate::show_recursive (this=0xaecbbf() at kernel/gwidget.cpp:6593

#32 0xb746452f in QWidgetPrivate::showChildren (this=0x946dad8, spontaneous=false) at kernel/gqwidget.cpp:7027
#33 0xb7464071 in QWidgetPrivate::show_helper (this=0x946dad8) at kernel/gwidget.cpp:6669

#34 0xb7464773 in QWidget::setVisible (this=0x946d708, visible=true) at kernel/qwidget.cpp:6941

#35 0xb6e610e9 in KSystemTrayIcon::minimizeRestore () from /usr/lib/libkdeui.so.5
#36 0xb6e61248 in KSystemTrayIcon::activateOrHide () from /usr/lib/libkdeui.so.5
#37 0xb6e62214 in KSystemTrayIcon::qt_metacall () from /usr/lib/libkdeui.so.5
#38 0xb7e7f7a9 in QMetaMethod::invoke (this=0xbfb8baa4, object=0x94a8120, connectionType=Qt::DirectConnection,
returnValue={<QGenericArgument> = {_data = 0x0, _name = 0x0}, <No data fields>}, valO=

{_data = Oxbfb8belc, _name = 0x8lbab9%94 "QSystemTrayIcon::ActivationReason"}, vall={_data = 0x0, _name =
0x0}, val2={_data = 0x0, _name = 0x0}, val3={_data = 0x0, _name = 0x0}, vald=

{_data = 0x0, _name = 0x0}, val5={_data = 0x0, _name = 0x0}, vale6e={_data = 0x0, _name = 0x0}, val7={_dat
a = 0x0, _name = 0x0}, val8={_data = 0x0, _name = 0x0}, val9={_data = 0x0, _name = 0x0})

at kernel/gmetaobject.cpp:1513
#39 0xb7e7ff2f in QMetaObject::invokeMethod (obj=0x94a8120, member=0x8lbabb6 "activateOrHide", type=Qt::AutoCo
nnection, ret={<QGenericArgument> = {_data = 0x0, _name = 0x0}, <No data fields>}, valO=
{_data = Oxbfb8belc, _name = 0x8lbab9%94 "QSystemTrayIcon::ActivationReason"}, vall={_data = 0x0, _name =
0x0}, val2={_data = 0x0, _name = 0x0}, val3={_data = 0x0, _name = 0x0}, valid=
{_data = 0x0, _name = 0x0}, valb={_data = 0x0, _name = 0x0}, valo={_data = 0x0, _name = 0x0}, val7={_dat
a = 0x0, _name = 0x0}, val8={_data = 0x0, _name = 0x0}, val9={_data = 0x0, _name = 0x0})
at kernel/gmetaobject.cpp:1109
#40 0x0808ab35 in QMetaObject::invokeMethod (obj=0x94a8120, member=0x8lbabbé6 "activateOrHide", valO={_data = 0
x8, _name = 0x8lbab94 "QSystemTrayIcon::ActivationReason"}, vall=

04/17/2024 4/22



{_data = 0x8, _name = 0x0}, val2={_data = 0x8, _name = 0x0}, val3={_data = 0x8, _name = 0x0}, vald={_dat

a = 0x8, _name = 0x0}, valb5={_data = 0x8, _name = 0x0}, valé6={_data = 0x8, _name = 0x0},

val7={_data = 0x8, _name = 0x0}, val8={_data = 0x8, _name = 0x0}, val9={_data = 0x8, _name = 0x0}) at /usr
/include/qt4/QtCore/gobjectdefs.h:403
#41 0x08089ba7 in SystemTray::on_activated (this=0x94aecd8, reason=QSystemTrayIcon::Trigger) at /home/dalbers/
src/quassel/src/qtui/systemtray.cpp:185
#42 0x080e093c in SystemTray::gt_metacall (this=0x94aecd8, _c=QMetaObject::InvokeMetaMethod, _id=13, _a=0xbfb8
bflc) at /home/dalbers/src/quassel-build/src/gtui/moc_systemtray.cxx:104
#43 Oxb7e8cca8 in QMetaObject::activate (sender=0x94a8120, from_signal_index=4, to_signal_index=4, argv=0xbfb8
bflc) at kernel/gobject.cpp:3069
#44 0xb7e8d932 in QMetaObject::activate (sender=0x94a8120, m=0xb7ca9fa8, local_signal_index=0, argv=0xbfb8bflc
) at kernel/gobject.cpp:3143
#45 0xb7ac7923 in QSystemTrayIcon::activated (this=0x94a8120, _tl=QSystemTrayIcon::Trigger) at .moc/release-sh
ared/moc_gsystemtrayicon.cpp:128
#46 Oxb7ab7c8b in QSystemTrayIconSys::mousePressEvent (this=0x94d58d8, ev=0xbfb8c468) at util/gsystemtrayicon_
x11.cpp:298
#47 0xb745ecd6 in QWidget::event (this=0x94d58d8, event=0xbfb8c468) at kernel/gwidget.cpp:7512
#48 Oxb7ab7b44 in QSystemTrayIconSys::event (this=0x8, e=0xfffffff4) at util/gsystemtrayicon_xll.cpp:321
#49 0xb7407f2c in QApplicationPrivate::notify_helper (this=0x93a0e98, receiver=0x94d58d8, e=0xbfb8c468) at ker
nel/gapplication.cpp:4084
#50 0xb7410bal in QApplication::notify (this=0xbfb8cd78, receiver=0x94d58d8, e=0xbfb8c468) at kernel/gapplicat
ion.cpp:3786
#51 0xb6dd594d in KApplication::notify () from /usr/lib/libkdeui.so.5
#52 0xb7e76a3b in QCoreApplication::notifyInternal (this=0xbfb8cd78, receiver=0xbfb8cd78, event=0xbfb8c468) at
kernel/gcoreapplication.cpp:602
#53 0xb740fcOe in QApplicationPrivate::sendMouseEvent (receiver=0x94d58d8, event=0xbfb8c468, alienWidget=0x0,
nativeWidget=0x94d58d8, buttonDown=0xb7cb3200, lastMouseReceiver=@0xb7cb3204)

at ../../include/QtCore/../../src/corelib/kernel/gcoreapplication.h:216
#54 0xb747fale in QETWidget::translateMouseEvent (this=0x94d58d8, event=0xbfb8caac) at kernel/gapplication_x11
.cpp:4425
#55 0xb747ed37 in QApplication::x11ProcessEvent (this=0xbfb8cd78, event=0xbfb8caac) at kernel/gapplication_x11
.cpp:3421
#56 0xb74a9cfa in xllEventSourceDispatch (s=0x93a3e00, callback=0, user_data=0x0) at kernel/gguieventdispatche
r_glib.cpp:146

#57 0xb6810b88 in g_main_context_dispatch () from /usr/lib/libglib-2.0.s0.0

#58 0xb68140eb in ?? () from /usr/lib/libglib-2.0.s0.0

#59 0xb6814268 in g_main_context_iteration () from /usr/lib/libglib-2.0.s0.0

#60 0xb7ea2438 in QEventDispatcherGlib::processEvents (this=0x938e600, flags={i = -1078408088}) at kernel/geve
ntdispatcher_glib.cpp:323

#61 0xb74a93f5 in QGuiEventDispatcherGlib: :processEvents (this=0x938e600, flags={i = -1078408040}) at kernel/q
guieventdispatcher_glib.cpp:202

#62 0xb7e7506a in QEventLoop::processEvents (this=0xbfb8cdl0, flags={i = -1078407976}) at kernel/geventloop.cp
p:149

#63 0xb7e754aa in QEventLoop::exec (this=0xbfb8cdl0, flags={i = -1078407912}) at kernel/geventloop.cpp:200

#64 0xb7e77959 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:880

#65 0xb7407da7 in QApplication::exec () at kernel/gapplication.cpp:3553

#66 0x0806fb98 in main (argc=) at /home/dalbers/src/quassel/src/common/main.cpp:137

#4 - 05/22/2009 11:37 AM - dalbers

In case you were short of backtraces, this is what | got in the past 5 minutes:

Anwendung: Quassel IRC (quasselclient), Signal SIGSEGV
[Current thread is 0 (LWP 13012)]

Thread 2 (Thread 0xbl125eb90 (LWP 13013)):

#0 0xb80df430 in __ kernel_vsyscall ()

#1 0xb69390e5 in pthread_cond_wait@E@GLIBC_2.3.2 () from /lib/tls/i1686/cmov/libpthread.so.0

#2 0xbé6bld2ed in _ pthread_cond_wait (cond=0x9007788, mutex=0x9007770) at forward.c:139

#3 0xb7ef39b2 in QWaitCondition::wait (this=0x8fcee08, mutex=0x8fceel4, time=4294967295) at thread/gwaitcondi
tion_unix.cpp:87

#4 0xb739%9al52 in QHostInfoAgent::run (this=0x8fcedf8) at kernel/ghostinfo.cpp:260

#5 Oxb7ef296e in QThreadPrivate::start (arg=0x8fcedf8) at thread/gthread_unix.cpp:189

#6 0xb69354ff in start_thread (arg=0xbl25eb90) at pthread_create.c:297

#7 Oxbéb0ed49e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 1 (Thread 0xb60a5700 (LWP 13012)):

[KCrash Handler]

#6 0xb7b80d2a in QSortFilterProxyModelPrivate::source_to_proxy (this=0x896e3d8, source_index=@0xbfefad6c) at

../../include/QtCore/../../src/corelib/kernel/gabstractitemmodel.h:369

#7 0xb7b80e23 in QSortFilterProxyModel: :mapFromSource (this=0x8al9d50, sourcelIndex=Q@0xbfefad6c) at itemviews/
gsortfilterproxymodel.cpp:2358

#8 0xb7b7b362 in QSortFilterProxyModel::parent (this=0x8al19d50, child=@0x8a8e390) at itemviews/gsortfilterpro
xymodel.cpp:1522
#9 0xb7b30548 in QTreeView::indexRowSizeHint (this=0x916c¢658, index=@0x8a8e390) at ../../include/QtCore/../..
/src/corelib/kernel/gabstractitemmodel.h:369

#10 0xb7b30c82 in QTreeViewPrivate::itemHeight (this=0x92e3730, item=7) at itemviews/gtreeview.cpp:3168

#11 0xb7b30f40 in QTreeViewPrivate::updateScrollBars (this=0x92e3730) at itemviews/gtreeview.cpp:3415

#12 0xb7b312c2 in QTreeView::updateGeometries (this=0x916c658) at itemviews/gtreeview.cpp:2659

#13 Oxb7aece74 in QAbstractItemView::resizeEvent (this=0x916c658, event=0xbfefb7a4) at itemviews/gabstractitem

view.cpp:2181

#14 0xb75cf956 in QWidget::event (this=0x916c658, event=0xbfefb7ad4) at kernel/gwidget.cpp:7662

#15 0xb79a9993 in QFrame::event (this=0x916c658, e=0xbfefb7a4) at widgets/qgframe.cpp:559

#16 0xb7a4994f in QAbstractScrollArea::viewportEvent (this=0x916c658, e=0x3) at widgets/gabstractscrollarea.cp

p:962

#17 O0xb7afb647 in QAbstractItemView::viewportEvent (this=0x916c658, event=0xbfefb7a4) at itemviews/gabstractit

emview.cpp:1466

#18 0xb7b360c4 in QTreeView::viewportEvent (this=0x916c658, event=0xbfefb7ad4) at itemviews/gtreeview.cpp:1257
#19 0Oxb7a4bf55 in QAbstractScrollAreaFilter::eventFilter (this=0x998cl78, 0=0x8a89750, e=0xbfefb7a4) at widget
s/gabstractscrollarea_p.h:100

#20 0Oxb7fe5cba in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x88e9e98, receiver=0x8a89750,

event=0xbfefb7a4) at kernel/qcoreapplication.cpp:718

#21 0xb7578e7a in QApplicationPrivate::notify_helper (this=0x88e9e98, receiver=0x8a89750, e=0xbfefb7a4) at ker

nel/gapplication.cpp:4080

#22 0xb7581282 in QApplication::notify (this=0xbfefd0d8, receiver=0x8a89750, e=0xbfefb7a4) at kernel/gapplicat
ion.cpp:4049

#23 0xb6£f4694d in KApplication::notify () from /usr/lib/libkdeui.so.5

#24 0xb7fe6a3b in QCoreApplication::notifyInternal (this=0xbfefd0d8, receiver=0xbfefd0d8, event=0xbfefb7a4) at
kernel/gcoreapplication.cpp:602

#25 0xb75ce25c in QWidgetPrivate::sendPendingMoveAndResizeEvents (this=0x8a7ba48, recursive=false, disableUpda
tes=false) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213

#26 0xb75d4fb6 in QWidgetPrivate::show_helper (this=0x8a7bad48) at kernel/gwidget.cpp:6663

#27 0xb75d56e3 in QWidget::setVisible (this=0x8a89750, visible=true) at kernel/qwidget.cpp:6941

#28 0xb75d54b8 in QWidgetPrivate::showChildren (this=0x92e3730, spontaneous=false) at ../../include/QtGui/../.
./src/gui/kernel/qwidget.h:473

#29 0xb75d4fel in QWidgetPrivate::show_helper (this=0x92e3730) at kernel/qwidget.cpp:6669

#30 0xb75d5319 in QWidgetPrivate::show_recursive (this=0x92e3730) at kernel/gwidget.cpp:6593

#31 0xb75d549f in QWidgetPrivate::showChildren (this=0x8a87900, spontaneous=false) at kernel/gqwidget.cpp:7027
#32 0xb75d4fel in QWidgetPrivate::show_helper (this=0x8a87900) at kernel/qwidget.cpp:6669

#33 0xb75d5319 in QWidgetPrivate::show_recursive (this=0x8a87900) at kernel/gwidget.cpp:6593

#34 0xb75d549f in QWidgetPrivate::showChildren (this=0x89b7248, spontaneous=false) at kernel/gqwidget.cpp:7027
#35 0xb75d4fel in QWidgetPrivate::show_helper (this=0x89b7248) at kernel/qwidget.cpp:6669

#36 0xb75d56e3 in QWidget::setVisible (this=0x89b6e78, visible=true) at kernel/qgwidget.cpp:6941

#37 0xb6£d20e9 in KSystemTrayIcon::minimizeRestore () from /usr/lib/libkdeui.so.5
#38 0xb6fd2248 in KSystemTrayIcon::activateOrHide () from /usr/lib/libkdeui.so.5
#39 0xb6fd3214 in KSystemTrayIcon::qgt_metacall () from /usr/lib/libkdeui.so.5
#40 O0xb7fef7a9 in QMetaMethod::invoke (this=0xbfefbe04, object=0x8a28b98, connectionType=Qt::DirectConnection,
returnValue={<QGenericArgument> = {_data = 0x0, _name = 0x0}, <No data fields>}, valO=

{_data = Oxbfefcl7c, _name = 0x81cl660 "QSystemTrayIcon::ActivationReason"}, vall={_data = 0x0, _name =
0x0}, val2={_data = 0x0, _name = 0x0}, val3={_data = 0x0, _name = 0x0}, valid=

{_data = 0x0, _name = 0x0}, valb={_data = 0x0, _name = 0x0}, valo={_data = 0x0, _name = 0x0}, val7={_dat
a = 0x0, _name = 0x0}, val8={_data = 0x0, _name = 0x0}, val9={_data = 0x0, _name = 0x0})

at kernel/gmetaobject.cpp:1513
#41 Oxb7feff2f in QMetaObject::invokeMethod (obj=0x8a28b98, member=0x81cl682 "activateOrHide", type=Qt::AutoCo

nnection, ret={<QGenericArgument> = {_data = 0x0, _name = 0x0}, <No data fields>}, valO=

{_data = Oxbfefcl7c, _name = 0x81cl660 "QSystemTrayIcon::ActivationReason"}, vall={_data = 0x0, _name =
0x0}, val2={_data = 0x0, _name = 0x0}, val3={_data = 0x0, _name = 0x0}, vald=

{_data = 0x0, _name = 0x0}, valb={_data = 0x0, _name = 0x0}, val6={_data = 0x0, _name = 0x0}, val7={_dat
a = 0x0, _name = 0x0}, val8={_data = 0x0, _name = 0x0}, val9={_data = 0x0, _name = 0x0})

at kernel/gmetaobject.cpp:1109
#42 0x0808b555 in QMetaObject::invokeMethod (obj=0x8a28b98, member=0x81cl682 "activateOrHide", valO={_data = 0

xbfefacfc, _name = 0x81cl660 "QSystemTrayIcon::ActivationReason"}, vall=

{_data = Oxbfefacfc, _name = 0x0}, val2={_data = Oxbfefacfc, _name = 0x0}, val3={_data = Oxbfefacfc, _na
me = 0x0}, vald4={_data = Oxbfefacfc, _name = 0x0}, valb5=

{_data = Oxbfefacfc, _name = 0x0}, valé6={_data = Oxbfefacfc, _name = 0x0}, val7={_data = Oxbfefacfc, _na
me = 0x0}, val8={_data = Oxbfefacfc, _name = 0x0}, val9=

{_data = Oxbfefacfc, _name = 0x0}) at /usr/include/gt4/QtCore/qgobjectdefs.h:403
#43 0x0808a5c7 in SystemTray::on_activated (this=0x89dddd8, reason=QSystemTrayIcon::Trigger) at /home/dalbers/
src/quassel/src/qtui/systemtray.cpp:185
#44 0x080el37c in SystemTray::gt_metacall (this=0x89dddd8, _c=QMetaObject::InvokeMetaMethod, _id=13, _a=0xbfef
c27c) at /home/dalbers/src/quassel-build/src/gtui/moc_systemtray.cxx:104
#45 0xb7ffcca8 in QMetaObject::activate (sender=0x8a28b98, from_signal_index=4, to_signal_index=4, argv=0xbfef
c27c) at kernel/gobject.cpp:3069
#46 0xb7ffd932 in QMetaObject::activate (sender=0x8a28b98, m=0xb7e19fa8, local_signal_index=0, argv=0xbfefc27c
) at kernel/gobject.cpp:3143
#47 0xb7c38533 in QSystemTrayIcon::activated (this=0x8a28b98, _tl=QSystemTrayIcon::Trigger) at .moc/release-sh
ared/moc_gsystemtrayicon.cpp:128
#48 0xb7c2889b in QSystemTrayIconSys::mousePressEvent (this=0x8a0d410, ev=0xbfefc7c8) at util/gsystemtrayicon_
x11.cpp:298
#49 0xb75cfcd46 in QWidget::event (this=0x8a0d410, event=0xbfefc7c8) at kernel/gqwidget.cpp:7512
#50 0xb7c28754 in QSystemTrayIconSys::event (this=0xbfefacfc, e=0x3) at util/gsystemtrayicon_x11l.cpp:321
#51 0xb7578e9c in QApplicationPrivate::notify_helper (this=0x88e9e98, receiver=0x8a0d410, e=0xbfefc7c8) at ker
nel/gapplication.cpp:4084
#52 0xb7581bll in QApplication::notify (this=0xbfefd0d8, receiver=0x8a0d410, e=0xbfefc7c8) at kernel/gapplicat
ion.cpp:3786
#53 0xb6£f4694d in KApplication::notify () from /usr/lib/libkdeui.so.5
#54 0xb7fe6a3b in QCoreApplication::notifyInternal (this=0xbfefd0d8, receiver=0xbfefd0d8, event=0xbfefc7c8) at
kernel/gcoreapplication.cpp:602
#55 0xb7580b7e in QApplicationPrivate::sendMouseEvent (receiver=0x8a0d410, event=0xbfefc7c8, alienWidget=0x0,
nativeWidget=0x8a0d410, buttonDown=0xb7e23200, lastMouseReceiver=0@0xb7e23204)

at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:216
#56 0xb75f097e in QETWidget::translateMouseEvent (this=0x8a0d410, event=0xbfefcelc) at kernel/gapplication_x11
.Cpp:4425
#57 Oxb75efca7 in QApplication::xllProcessEvent (this=0xbfefd0d8, event=0xbfefcelOc) at kernel/gapplication_x11
.cpp:3421
#58 Oxb76lac6a in x1llEventSourceDispatch (s=0x88ece00, callback=0, user_data=0x0) at kernel/gguieventdispatche
r_glib.cpp:146
#59 0xb6981b88 in IA__g main_context_dispatch (context=0x88ebe98) at /build/buildd/glib2.0-2.20.1/glib/gmain.c
:1814
#60 0xb69850eb in g_main_context_iterate (context=0x88ebe98, block=1l, dispatch=1, self=0x88e94e8) at /build/bu
11dd/glib2.0-2.20.1/glib/gmain.c:2448
#61 0xb6985268 in IA__g _main_context_iteration (context=0x88ebe98, may_block=1) at /build/buildd/glib2.0-2.20.
1/glib/gmain.c:2511

#62 0xb8012438 in QEventDispatcherGlib::processEvents (this=0x88d7600, flags={i = -1074802744}) at kernel/geve
ntdispatcher_glib.cpp:323

#63 0xb761a365 in QGuiEventDispatcherGlib::processEvents (this=0x88d7600, flags={i = -1074802696}) at kernel/q
guieventdispatcher_glib.cpp:202

#64 0xb7fe506a in QEventLoop: :processEvents (this=0xbfefd070, flags={i = -1074802632}) at kernel/geventloop.cp
p:149

#65 Oxb7fe54aa in QEventLoop::exec (this=0xbfefd070, flags={i = -1074802568}) at kernel/geventloop.cpp:200

#66 0xb7fe7959 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:880

#67 0xb7578d17 in QApplication::exec () at kernel/gapplication.cpp:3553
#68 0x080701f8 in main (argc=) at /home/dalbers/src/quassel/src/common/main.cpp:137

Anwendung: Quassel IRC (quasselclient), Signal SIGSEGV
[Current thread is 0 (LWP 13027)]

Thread 2 (Thread 0xbl09fb90 (LWP 13028)):

#0 0xb7f20430 in __kernel_vsyscall ()

#1 0xb677a0e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i1686/cmov/libpthread.so.0

#2 0xb695e2ed in _ pthread_cond_wait (cond=0xa4cd948, mutex=0xa4cd930) at forward.c:139

#3 0xb7d349b2 in QWaitCondition::wait (this=0xad4aafl8, mutex=0xadaafld, time=4294967295) at thread/gwaitcondi
tion_unix.cpp:87

#4 0xb71dbl52 in QHostInfoAgent::run (this=0xad4aaf08) at kernel/ghostinfo.cpp:260

#5 0xb7d3396e in QThreadPrivate::start (arg=0xad4aaf08) at thread/qthread_unix.cpp:189

#6 0xb67764ff in start_thread (arg=0xbl09fb90) at pthread_create.c:297

#7 0xb694f49e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 1 (Thread 0xb5ee6700 (LWP 13027)):

[KCrash Handler]

#6 0xb79cld3a in QSortFilterProxyModelPrivate: :source_to_proxy (this=0x9f38ad8, source_index=@0xbf93afac) at
../../include/QtCore/../../src/corelib/kernel/gabstractitemmodel.h:369

#7 0xb79cle23 in QSortFilterProxyModel::mapFromSource (this=0x9e8e288, sourcelndex=@0xbf93afac) at itemviews/
gsortfilterproxymodel.cpp:2358

#8 0xb79bc362 in QSortFilterProxyModel::parent (this=0x9e8e288, child=@0xa58flc0) at itemviews/gsortfilterpro
xymodel.cpp:1522

#9 0xb7971548 in QTreeView::indexRowSizeHint (this=0xa6030f8, index=@0xa58flc0) at ../../include/QtCore/../..
/src/corelib/kernel/qgabstractitemmodel.h:369

#10 0xb7971c82 in QTreeViewPrivate::itemHeight (this=0xa7418a8, item=7) at itemviews/gtreeview.cpp:3168

#11 0xb7971f40 in QTreeViewPrivate::updateScrollBars (this=0xa7418a8) at itemviews/gtreeview.cpp:3415

#12 0xb79722c2 in QTreeView::updateGeometries (this=0xa6030f8) at itemviews/gtreeview.cpp:2659

#13 0xb792de74 in QAbstractItemView::resizeEvent (this=0xa6030f8, event=0xbf93b9%e4) at itemviews/gabstractitem
view.cpp:2181

#14 0xb7410956 in QWidget::event (this=0xa6030f8, event=0xbf93b9%e4) at kernel/gwidget.cpp:7662

#15 0xb77e€a993 in QFrame::event (this=0xa6030£f8, e=0xbf93b9%e4) at widgets/gframe.cpp:559

#16 0xb788a94f in QAbstractScrollArea::viewportEvent (this=0xa6030f8, e=0xbf93af3c) at widgets/gabstractscroll
area.cpp:962

#17 0xb793c647 in QAbstractItemView::viewportEvent (this=0xa6030f8, event=0xbf93b9%e4d) at itemviews/gabstractit
emview.cpp:1466

#18 0xb79770c4 in QTreeView::viewportEvent (this=0xa6030£f8, event=0xbf93b9%e4) at itemviews/gtreeview.cpp:1257
#19 0xb788cfb55 in QAbstractScrollAreaFilter::eventFilter (this=0x9e97df0, 0=0xa816e90, e=0xbf93b9%e4) at widget
s/gabstractscrollarea_p.h:100

#20 0xb7e26cba in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x9dafe98, receiver=0xa816e90,
event=0xbf93b9%e4) at kernel/qgcoreapplication.cpp:718
#21 0xb73b%e7a in QApplicationPrivate::notify_helper (this=0x9dafe98, receiver=0xa816e90, e=0xbf93b9%ed) at ker
nel/gapplication.cpp:4080

#22 0xb73c2282 in QApplication::notify (this=0xbf93d318, receiver=0xa8l16e90, e=0xbf93b9%e4) at kernel/gapplicat
ion.cpp:4049

#23 0xb6d8794d in KApplication::notify () from /usr/lib/libkdeui.so.5

#24 0xb7e27a3b in QCoreApplication::notifyInternal (this=0xbf93d318, receiver=0xbf93d318, event=0xbf93b9%e4) at
kernel/gcoreapplication.cpp:602

#25 0xb740f25c in QWidgetPrivate::sendPendingMoveAndResizeEvents (this=0x9f53d60, recursive=false, disableUpda
tes=false) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213

#26 0xb7415fb6 in QWidgetPrivate::show_helper (this=0x9f53d60) at kernel/gwidget.cpp:6663

#27 0xb74166e3 in QWidget::setVisible (this=0xa816e90, visible=true) at kernel/qwidget.cpp:6941

#28 0xb74164b8 in QWidgetPrivate::showChildren (this=0xa7418a8, spontaneous=false) at ../../include/QtGui/../.
./src/gui/kernel/qwidget.h:473

#29 0xb7415fel in QWidgetPrivate::show_helper (this=0xa7418a8) at kernel/qwidget.cpp:6669

#30 0xb7416319 in QWidgetPrivate::show_recursive (this=0xa7418a8) at kernel/gwidget.cpp:6593

#31 0xb741649f in QWidgetPrivate::showChildren (this=0xa58f578, spontaneous=false) at kernel/gqwidget.cpp:7027

#32 0xb7415fel in QWidgetPrivate::show_helper (this=0xa58£f578) at kernel/qwidget.cpp:6669

#33 0xb7416319 in QWidgetPrivate::show_recursive (this=0xa58f578) at kernel/gwidget.cpp:6593

#34 0xb741649f in QWidgetPrivate::showChildren (this=0x9e7d248, spontaneous=false) at kernel/gqwidget.cpp:7027

#35 0xb7415fel in QWidgetPrivate::show_helper (this=0x9%9e7d248) at kernel/qwidget.cpp:6669

#36 0xb74166e3 in QWidget::setVisible (this=0x9e7ce78, visible=true) at kernel/qwidget.cpp:6941

#37 0xb6el30e9 in KSystemTrayIcon::minimizeRestore () from /usr/lib/libkdeui.so.5

#38 0xb6el3248 in KSystemTrayIcon::activateOrHide () from /usr/lib/libkdeui.so.5

#39 0xb6eld4214 in KSystemTrayIcon::gt_metacall () from /usr/lib/libkdeui.so.5

#40 0xb7e307a9 in QMetaMethod::invoke (this=0xbf93c044, object=0x9%9edlc08, connectionType=Qt::DirectConnection,
returnValue={<QGenericArgument> = {_data = 0x0, _name = 0x0}, <No data fields>}, valO=

{_data = 0xbf93c3bc, _name = 0x81cl660 "QSystemTrayIcon::ActivationReason"}, vall={_data = 0x0, _name =
0x0}, val2={_data = 0x0, _name = 0x0}, val3={_data = 0x0, _name = 0x0}, valid=
{_data = 0x0, _name = 0x0}, valb={_data = 0x0, _name = 0x0}, valo={_data = 0x0, _name = 0x0}, val7={_dat
a = 0x0, _name = 0x0}, val8={_data = 0x0, _name = 0x0}, val9={_data = 0x0, _name = 0x0})
at kernel/gmetaobject.cpp:1513
#41 0xb7e30f2f in QMetaObject::invokeMethod (obj=0x9edlc08, member=0x81cl682 "activateOrHide", type=Qt::AutoCo

nnection, ret={<QGenericArgument> = {_data = 0x0, _name = 0x0}, <No data fields>}, valO=

{_data = 0xbf93c3bc, _name = 0x81cl660 "QSystemTrayIcon::ActivationReason"}, vall={_data = 0x0, _name =
0x0}, val2={_data = 0x0, _name = 0x0}, val3={_data = 0x0, _name = 0x0}, vald=

{_data = 0x0, _name = 0x0}, valb={_data = 0x0, _name = 0x0}, val6={_data = 0x0, _name = 0x0}, val7={_dat
a = 0x0, _name = 0x0}, val8={_data = 0x0, _name = 0x0}, val9={_data = 0x0, _name = 0x0})

at kernel/gmetaobject.cpp:1109
#42 0x0808b555 in QMetaObject::invokeMethod (obj=0x9edlc08, member=0x81cl682 "activateOrHide", valO={_data = 0

x1, _name = 0x81cl660 "QSystemTrayIcon::ActivationReason"}, vall=
{_data = 0x1, _name = 0x0}, val2={_data = 0x1l, _name = 0x0}, val3={_data = 0x1l, _name = 0x0}, vald={_dat
a = 0x1, _name = 0x0}, valb5={_data = 0x1l, _name = 0x0}, val6e={_data = 0x1l, _name = 0x0},
val7={_data = 0x1l, _name = 0x0}, val8={_data = Ox1l, _name = 0x0}, val9={_data = 0x1l, _name = 0x0}) at /usr

/include/qt4/QtCore/qgobjectdefs.h:403
#43 0x0808a5c7 in SystemTray::on_activated (this=0x9ed4dal, reason=QSystemTrayIcon::Trigger) at /home/dalbers/
src/quassel/src/qtui/systemtray.cpp:185
#44 0x080el37c in SystemTray::gt_metacall (this=0x9ed4dal, _c=QMetaObject::InvokeMetaMethod, _id=13, _a=0xbf93
cd4bc) at /home/dalbers/src/quassel-build/src/qgtui/moc_systemtray.cxx:104
#45 0xb7e3dca8 in QMetaObject::activate (sender=0x9edlc08, from_signal_index=4, to_signal_index=4, argv=0xbf93
c4bc) at kernel/gobject.cpp:3069
#46 0xb7e3e932 in QMetaObject::activate (sender=0x9edlc08, m=0xb7cbafa8, local_signal_index=0, argv=0xbf93cdbc
) at kernel/gobject.cpp:3143
#47 0xb7a79533 in QSystemTrayIcon::activated (this=0x9edlc08, _tl=QSystemTrayIlcon::Trigger) at .moc/release-sh
ared/moc_gsystemtrayicon.cpp:128
#48 0xb7a6989b in QSystemTrayIconSys::mousePressEvent (this=0x9eeeadl, ev=0xbf93cal8) at util/gsystemtrayicon_
x11l.cpp:298
#49 0xb7410c46 in QWidget::event (this=0x9eeeadl, event=0xbf93cal8) at kernel/gwidget.cpp:7512
#50 0xb7a69754 in QSystemTrayIconSys::event (this=0xl, e=0xbf93af3c) at util/gsystemtrayicon_xll.cpp:321
#51 0xb73b%e9c in QApplicationPrivate::notify_helper (this=0x9dafe98, receiver=0x9eeeadl, e=0xbf93cal8) at ker
nel/gapplication.cpp:4084
#52 0xb73c2bll in QApplication::notify (this=0xbf93d318, receiver=0x9eeeadl, e=0xbf93cal8) at kernel/gapplicat
ion.cpp:3786
#53 0xb6d8794d in KApplication::notify () from /usr/lib/libkdeui.so.5
#54 0xb7e27a3b in QCoreApplication::notifyInternal (this=0xbf93d318, receiver=0xbf93d318, event=0xbf93cal8) at
kernel/qcoreapplication.cpp:602
#55 0xb73clb7e in QApplicationPrivate::sendMouseEvent (receiver=0x9eeeadl, event=0xbf93cal8, alienWidget=0x0,
nativeWidget=0x9%eeeadl0, buttonDown=0xb7c64200, lastMouseReceiver=@0xb7c64204)

at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:216
#56 0xb743197e in QETWidget::translateMouseEvent (this=0x9eeeadl, event=0xbf93d04c) at kernel/gapplication_x11
.Cpp:4425
#57 0xb7430ca7 in QApplication::x11ProcessEvent (this=0xbf93d318, event=0xbf93d04c) at kernel/gapplication_x11
.cpp:3421
#58 0xb745bc6a in x1lEventSourceDispatch (s=0x9db2e00, callback=0, user_data=0x0) at kernel/qgguieventdispatche
r_glib.cpp:146
#59 0xb67c2b88 in IA_ g _main_context_dispatch (context=0x9dble98) at /build/buildd/glib2.0-2.20.1/glib/gmain.c
:1814

#60 0xb67c60eb in g_main_context_iterate (context=0x9dble98, block=1, dispatch=1, self=0x9daf4e8) at /build/bu
i1dd/glib2.0-2.20.1/glib/gmain.c:2448

#61 0xb67c6268 in IA__g _main_context_iteration (context=0x9dble98, may_block=1) at /build/buildd/glib2.0-2.20.
1/glib/gmain.c:2511

#62 0xb7e53438 in QEventDispatcherGlib::processEvents (this=0x9d9d600, flags={i = -1080831480}) at kernel/geve
ntdispatcher_glib.cpp:323

#63 0xb745b365 in QGuiEventDispatcherGlib::processEvents (this=0x9d9d600, flags={i = -1080831432}) at kernel/q
guieventdispatcher_glib.cpp:202

#64 0xb7e2606a in QEventLoop::processEvents (this=0xbf93d2b0, flags={i = -1080831368}) at kernel/geventloop.cp
p:149

#65 Oxb7e264aa in QEventLoop::exec (this=0xbf93d2b0, flags={i = -1080831304}) at kernel/geventloop.cpp:200

#66 0xb7e28959 in QCoreApplication::exec () at kernel/gcoreapplication.cpp:880

#67 0xb73b9d1l7 in QApplication::exec () at kernel/gapplication.cpp:3553
#68 0x080701f8 in main (argc=0, argv=0xbf93d464) at /home/dalbers/src/quassel/src/common/main.cpp:137

Anwendung: Quassel IRC (quasselclient), Signal SIGSEGV
[Current thread is 0 (LWP 13038)]

Thread 2 (Thread 0xbl1253b90 (LWP 13039)):

#0 0xb80d4430 in __ kernel_vsyscall ()

#1 0xb692e0e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/1686/cmov/libpthread.so.0

#2 0xb6bl22ed in _ pthread_cond_wait (cond=0x927b918, mutex=0x927b900) at forward.c:139

#3 0xb7ee89b2 in QWaitCondition::wait (this=0x9258ee8, mutex=0x9258ee4, time=4294967295) at thread/gwaitcondi
tion_unix.cpp:87

#4 0xb738f152 in QHostInfoAgent::run (this=0x9258ed8) at kernel/ghostinfo.cpp:260

#5 Oxb7ee796e in QThreadPrivate::start (arg=0x9258ed8) at thread/gthread_unix.cpp:189

#6 0xb692ad4ff in start_thread (arg=0xbl253b90) at pthread_create.c:297

#7 0xb6b0349e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 1 (Thread 0xb609a700 (LWP 13038)):

[KCrash Handler]

#6 0xb7b75d3a in QSortFilterProxyModelPrivate::source_to_proxy (this=0x8cf6368, source_index=@0xbfaef95c) at
../../include/QtCore/../../src/corelib/kernel/gabstractitemmodel.h:369

#7 0xb7b75e23 in QSortFilterProxyModel: :mapFromSource (this=0x9561c28, sourcelndex=Q@0xbfaef95c) at itemviews/
gsortfilterproxymodel.cpp:2358

#8 0xb7b70362 in QSortFilterProxyModel::parent (this=0x9561c28, child=@0x9313088) at itemviews/gsortfilterpro
xymodel.cpp:1522

#9 0xb7b25548 in QTreeView::indexRowSizeHint (this=0x9403268, index=@0x9313088) at ../../include/QtCore/../..
/src/corelib/kernel/gabstractitemmodel.h:369

#10 0xb7b25c82 in QTreeViewPrivate::itemHeight (this=0x9338ed8, item=7) at itemviews/gtreeview.cpp:3168

#11 0xb7b25f40 in QTreeViewPrivate::updateScrollBars (this=0x9338ed8) at itemviews/gtreeview.cpp:3415

#12 0xb7b262c2 in QTreeView::updateGeometries (this=0x9403268) at itemviews/gtreeview.cpp:2659

#13 Oxb7aele74 in QAbstractItemView::resizeEvent (this=0x9403268, event=0xbfaf0394) at itemviews/gabstractitem

view.cpp:2181

#14 0xb75c4956 in QWidget::event (this=0x9403268, event=0xbfaf0394) at kernel/gqwidget.cpp:7662

#15 0xb799e993 in QFrame::event (this=0x9403268, e=0xbfaf0394) at widgets/gframe.cpp:559

#16 0xb7a3e94f in QAbstractScrollArea::viewportEvent (this=0x9403268, e=0xbfaef8ec) at widgets/gabstractscroll
area.cpp: 962

#17 0xb7af0647 in QAbstractItemView::viewportEvent (this=0x9403268, event=0xbfaf0394) at itemviews/gabstractit
emview.cpp:1466

#18 0xb7b2b0c4 in QTreeView::viewportEvent (this=0x9403268, event=0xbfaf0394) at itemviews/gtreeview.cpp:1257
#19 0xb7a40f55 in QAbstractScrollAreaFilter::eventFilter (this=0x931fb88, 0=0x933ad50, e=0xbfaf0394) at widget
s/gabstractscrollarea_p.h:100

#20 Oxb7fdac5a in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x8b5de98, receiver=0x933ad50,
event=0xbfaf0394) at kernel/qgcoreapplication.cpp:718

#21 Oxb756de7a in QApplicationPrivate::notify_helper (this=0x8b5de98, receiver=0x933ad50, e=0xbfaf0394) at ker
nel/gapplication.cpp:4080

#22 0xb7576282 in QApplication::notify (this=0xbfaflcc8, receiver=0x933ad50, e=0xbfaf0394) at kernel/gapplicat
ion.cpp:4049

#23 0xb6£f3b94d in KApplication::notify () from /usr/lib/libkdeui.so.5

#24 0xb7fdba3b in QCoreApplication::notifyInternal (this=0xbfaflcc8, receiver=0xbfaflcc8, event=0xbfaf0394) at
kernel/gcoreapplication.cpp: 602

#25 0xb75c325¢c in QWidgetPrivate::sendPendingMoveAndResizeEvents (this=0x8cffac0, recursive=false, disableUpda

tes=false) at ../../include/QtCore/../../src/corelib/kernel/qgcoreapplication.h:213

#26 0xb75c9fb6 in QWidgetPrivate::show_helper (this=0x8cffac0) at kernel/gwidget.cpp:6663

#27 0xb75ca6be3 in QWidget::setVisible (this=0x933ad50, visible=true) at kernel/gwidget.cpp:6941

#28 0xb75cad4b8 in QWidgetPrivate::showChildren (this=0x9338ed8, spontaneous=false) at ../../include/QtGui/../.
./src/gui/kernel/qwidget.h:473

#29 0xb75c9fel in QWidgetPrivate::show_helper (this=0x9338ed8) at kernel/gwidget.cpp:6669

#30 0xb75ca319 in QWidgetPrivate::show_recursive (this=0x9338ed8) at kernel/gwidget.cpp:6593

#31 0xb75cad49f in QWidgetPrivate::showChildren (this=0x8cf1940, spontaneous=false) at kernel/gqwidget.cpp:7027
#32 0xb75c9fel in QWidgetPrivate::show_helper (this=0x8cf1940) at kernel/gwidget.cpp:6669

#33 0xb75ca319 in QWidgetPrivate::show_recursive (this=0x8cf1940) at kernel/gwidget.cpp:6593

#34 0xb75cad49f in QWidgetPrivate::showChildren (this=0x8c2b2b8, spontaneous=false) at kernel/qwidget.cpp:7027
#35 0xb75c9fel in QWidgetPrivate::show_helper (this=0x8c2b2b8) at kernel/gwidget.cpp:6669
#36 0xb75cabe3 in QWidget::setVisible (this=0x8c2aee8, visible=true) at kernel/qwidget.cpp:6941

#37 0xb6fc70e9 in KSystemTrayIcon::minimizeRestore () from /usr/lib/libkdeui.so.5
#38 0xb6fc7248 in KSystemTrayIcon::activateOrHide () from /usr/lib/libkdeui.so.5
#39 0xb6fc8214 in KSystemTrayIcon::qt_metacall () from /usr/lib/libkdeui.so.5
#40 0xb7fed47a9 in QMetaMethod::invoke (this=0xbfaf09f4, object=0x8c54540, connectionType=Qt::DirectConnection,
returnValue={<QGenericArgument> = {_data = 0x0, _name = 0x0}, <No data fields>}, valO=

{_data = Oxbfafl0d6c, _name = 0x81cl660 "QSystemTrayIcon::ActivationReason"}, vall={_data = 0x0, _name =
0x0}, val2={_data = 0x0, _name = 0x0}, val3={_data = 0x0, _name = 0x0}, vald=

{_data = 0x0, _name = 0x0}, val5={_data = 0x0, _name = 0x0}, vale6e={_data = 0x0, _name = 0x0}, val7={_dat
a = 0x0, _name = 0x0}, val8={_data = 0x0, _name = 0x0}, val9={_data = 0x0, _name = 0x0})

at kernel/gmetaobject.cpp:1513
#41 Oxb7fedf2f in QMetaObject::invokeMethod (obj=0x8c54540, member=0x81cl682 "activateOrHide", type=Qt::AutoCo
nnection, ret={<QGenericArgument> = {_data = 0x0, _name = 0x0}, <No data fields>}, valO=
{_data = 0Oxbfaf0déc, _name = 0x81cl660 "QSystemTrayIcon::ActivationReason"}, vall={_data = 0x0, _name =
0x0}, val2={_data = 0x0, _name = 0x0}, val3={_data = 0x0, _name = 0x0}, valid=
{_data = 0x0, _name = 0x0}, valb={_data = 0x0, _name = 0x0}, valo={_data = 0x0, _name = 0x0}, val7={_dat
a = 0x0, _name = 0x0}, val8={_data = 0x0, _name = 0x0}, val9={_data = 0x0, _name = 0x0})
at kernel/gmetaobject.cpp:1109
#42 0x0808b555 in QMetaObject::invokeMethod (obj=0x8c54540, member=0x81cl682 "activateOrHide", valO={_data = 0

x1, _name = 0x81cl660 "QSystemTrayIcon::ActivationReason"}, vall=
{_data = 0x1, _name = 0x0}, val2={_data = 0x1l, _name = 0x0}, val3={_data = 0x1l, _name = 0x0}, vald={_dat
a = 0x1l, _name = 0x0}, valb5={_data = 0xl, _name = 0x0}, valé6={_data = 0xl, _name = 0x0},
val7={_data = 0x1l, _name = 0x0}, val8={_data = Oxl, _name = 0x0}, val9={_data = 0x1l, _name = 0x0}) at /usr

/include/qt4/QtCore/gobjectdefs.h:403
#43 0x0808a5c7 in SystemTray::on_activated (this=0x8c98df8, reason=QSystemTrayIcon::Trigger) at /home/dalbers/
src/quassel/src/qtui/systemtray.cpp:185
#44 0x080el37c in SystemTray::gt_metacall (this=0x8c98df8, _c=QMetaObject::InvokeMetaMethod, _id=13, _a=0xbfaf
O0e6c) at /home/dalbers/src/quassel-build/src/gtui/moc_systemtray.cxx:104
#45 Oxb7fflca8 in QMetaObject::activate (sender=0x8c54540, from_signal_index=4, to_signal_index=4, argv=0xbfaf
Oebc) at kernel/gobject.cpp:3069
#46 0xb7f£f2932 in QMetaObject::activate (sender=0x8c54540, m=0xb7e0efa8, local_signal_index=0, argv=0xbfaflebc
) at kernel/gobject.cpp:3143
#47 0xb7c2d533 in QSystemTrayIcon::activated (this=0x8c54540, _tl=QSystemTrayIcon::Trigger) at .moc/release-sh
ared/moc_gsystemtrayicon.cpp:128
#48 0xb7cld89b in QSystemTrayIconSys::mousePressEvent (this=0x8c81220, ev=0xbfafl3b8) at util/gsystemtrayicon_
x11.cpp:298
#49 0xb75c4c46 in QWidget::event (this=0x8c81220, event=0xbfafl3b8) at kernel/gwidget.cpp:7512
#50 Oxb7cld754 in QSystemTrayIconSys::event (this=0xl, e=0xbfaef8ec) at util/gsystemtrayicon_xll.cpp:321
#51 0xb756de9c in QApplicationPrivate::notify_helper (this=0x8b5de98, receiver=0x8c81220, e=0xbfafl3b8) at ker
nel/gapplication.cpp:4084
#52 0xb7576bll in QApplication::notify (this=0xbfaflcc8, receiver=0x8c81220, e=0xbfafl3b8) at kernel/gapplicat
ion.cpp:3786
#53 0xb6f3b9%94d in KApplication::notify () from /usr/lib/libkdeui.so.5
#54 Oxb7fdba3b in QCoreApplication::notifyInternal (this=0xbfaflcc8, receiver=0xbfaflcc8, event=0xbfafl3b8) at
kernel/gcoreapplication.cpp:602
#55 0xb7575b7e in QApplicationPrivate::sendMouseEvent (receiver=0x8c81220, event=0xbfafl3b8, alienWidget=0x0,
nativeWidget=0x8c81220, buttonDown=0xb7e18200, lastMouseReceiver=@0xb7e18204)

at ../../include/QtCore/../../src/corelib/kernel/gcoreapplication.h:216
#56 0xb75e597e in QETWidget::translateMouseEvent (this=0x8c81220, event=0xbfafl9fc) at kernel/gapplication_x11
.cpp:4425
#57 Oxb75e4ca77 in QApplication::xl11ProcessEvent (this=0xbfaflcc8, event=0xbfafl9fc) at kernel/gapplication_x11
.cpp:3421
#58 0xb760fc6a in xllEventSourceDispatch (s=0x8b60e00, callback=0, user_data=0x0) at kernel/gguieventdispatche
r_glib.cpp:146
#59 0xb6976b88 in IA__g_main_context_dispatch (context=0x8b5fe98) at /build/buildd/glib2.0-2.20.1/glib/gmain.c
:1814
#60 0xb697a0eb in g_main_context_iterate (context=0x8b5fe98, block=1, dispatch=1, self=0x8b5d4e8) at /build/bu
1i1dd/glib2.0-2.20.1/glib/gmain.c:2448
#61 0xb697a268 in IA__g_main_context_iteration (context=0x8b5fe98, may_block=1) at /build/buildd/glib2.0-2.20.
1/glib/gmain.c:2511

#62 0xb8007438 in QEventDispatcherGlib::processEvents (this=0x8b4b600, flags={i = -1079043144}) at kernel/geve
ntdispatcher_glib.cpp:323

#63 0xb760f365 in QGuiEventDispatcherGlib: :processEvents (this=0x8b4b600, flags={i = -1079043096}) at kernel/q
guieventdispatcher_glib.cpp:202

#64 0xb7fdal06a in QEventLoop::processEvents (this=0xbfaflc60, flags={i = -1079043032}) at kernel/geventloop.cp
p:149

#65 Oxb7fdadaa in QEventLoop::exec (this=0xbfaflc60, flags={i = -1079042968}) at kernel/geventloop.cpp:200

#66 0xb7fdc959 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:880

#67 0xb756dd1l7 in QApplication::exec () at kernel/gapplication.cpp:3553

#68 0x080701£f8 in main (argc=0, argv=0xbfafleld) at /home/dalbers/src/quassel/src/common/main.cpp:137

Anwendung: Quassel IRC (quasselclient), Signal SIGSEGV
[Current thread is 0 (LWP 13045)]
Thread 2 (Thread 0xbl11a8b90 (LWP 13046)):

#0 0xb8029430 in _ kernel_vsyscall ()

#1 0xb68830e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0

#2 0xb6a672ed in __pthread_cond_wait (cond=0x9612940, mutex=0x9612928) at forward.c:139

#3 0xb7e3d9b2 in QWaitCondition::wait (this=0x95c8210, mutex=0x95c820c, time=4294967295) at thread/gwaitcondi
tion_unix.cpp:87

#4 0xb72e4152 in QHostInfoAgent::run (this=0x95c8200) at kernel/ghostinfo.cpp:260

#5 O0xb7e3c96e in QThreadPrivate::start (arg=0x95c8200) at thread/gthread_unix.cpp:189

#6 0xb687f4ff in start_thread (arg=0xblla8b90) at pthread_create.c:297

#7 0xb6ab5849e in clone () at ../sysdeps/unix/sysv/linux/1386/clone.S:130

Thread 1 (Thread Oxb5fef700 (LWP 13045)):

[KCrash Handler]

#6 Oxb7acad3a in QSortFilterProxyModelPrivate::source_to_proxy (this=0x8fb6b20, source_index=@0xbfd42bac) at
../../include/QtCore/../../src/corelib/kernel/gabstractitemmodel.h:369

#7 Oxb7acae23 in QSortFilterProxyModel: :mapFromSource (this=0x961cc68, sourcelndex=Q@0xbfd42bac) at itemviews/
gsortfilterproxymodel.cpp:2358

#8 Oxb7ac5362 in QSortFilterProxyModel::parent (this=0x961lcc68, child=@0x907ff00) at itemviews/gsortfilterpro
xymodel.cpp:1522

#9 0xb7a7a548 in QTreeView::indexRowSizeHint (this=0x97d12e0, index=Q0x907ff00) at ../../include/QtCore/../..
/src/corelib/kernel/qgabstractitemmodel.h:369

#10 Oxb7a7ac82 in QTreeViewPrivate::itemHeight (this=0x9910b00, item=7) at itemviews/gtreeview.cpp:3168

#11 Oxb7a7af40 in QTreeViewPrivate::updateScrollBars (this=0x9910b00) at itemviews/gtreeview.cpp:3415

#12 0xb7a7b2c2 in QTreeView::updateGeometries (this=0x97d12e0) at itemviews/gtreeview.cpp:2659

#13 0xb7a36e74 in QAbstractItemView::resizeEvent (this=0x97d12e0, event=0xbfd435e4) at itemviews/gabstractitem

view.cpp:2181

#14 0xb7519956 in QWidget::event (this=0x97d12e0, event=0xbfd435e4) at kernel/gwidget.cpp:7662

#15 0xb78£3993 in QFrame::event (this=0x97d12e0, e=0xbfd435e4) at widgets/gframe.cpp:559

#16 0xb799394f in QAbstractScrollArea::viewportEvent (this=0x97d12e0, e=0xbfd42b3c) at widgets/gabstractscroll
area.cpp:962

#17 0xb7a45647 in QAbstractItemView::viewportEvent (this=0x97d12e0, event=0xbfd435e4) at itemviews/gabstractit
emview.cpp:1466

#18 0xb7a800c4 in QTreeView::viewportEvent (this=0x97d12e0, event=0xbfd435e4) at itemviews/gtreeview.cpp:1257
#19 0xb7995f55 in QAbstractScrollAreaFilter::eventFilter (this=0x9756e80, o0=0x96bfaf8, e=0xbfd435e4) at widget
s/gabstractscrollarea_p.h:100

#20 O0xb7f2fc5a in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x8ef4e98, receiver=0x96bfafs,
event=0xbfd435e4) at kernel/qcoreapplication.cpp:718

#21 0xb74c2e7a in QApplicationPrivate::notify_helper (this=0x8ef4e98, receiver=0x96bfaf8, e=0xbfd435e4) at ker
nel/gapplication.cpp:4080

#22 0xb74cb282 in QApplication::notify (this=0xbfd44f18, receiver=0x96bfaf8, e=0xbfd435e4) at kernel/gapplicat
ion.cpp:4049

#23 0xb6e9094d in KApplication::notify () from /usr/lib/libkdeui.so.5

#24 0xb7f30a3b in QCoreApplication::notifyInternal (this=0xbfd44f18, receiver=0xbfd44f18, event=0xbfd435e4) at
kernel/qcoreapplication.cpp:602

#25 0xb751825c in QWidgetPrivate::sendPendingMoveAndResizeEvents (this=0x9085120, recursive=false, disableUpda

tes=false) at ../../include/QtCore/../../src/corelib/kernel/qgcoreapplication.h:213

#26 0xb75lefb6 in QWidgetPrivate::show_helper (this=0x9085120) at kernel/qwidget.cpp:6663

#27 0xb751f6e3 in QWidget::setVisible (this=0x96bfaf8, visible=true) at kernel/gwidget.cpp:6941

#28 0xb751f4b8 in QWidgetPrivate::showChildren (this=0x9910b00, spontaneous=false) at ../../include/QtGui/../.
./src/gui/kernel/gwidget.h:473

#29 0xb75lefel in QWidgetPrivate::show_helper (this=0x9910b00) at kernel/gwidget.cpp:6669

#30 0xb751f319 in QWidgetPrivate::show_recursive (this=0x9910b00) at kernel/gwidget.cpp:6593

#31 0xb751f49f in QWidgetPrivate::showChildren (this=0x8fd37a0, spontaneous=false) at kernel/qwidget.cpp:7027
#32 0xb75lefel in QWidgetPrivate::show_helper (this=0x8fd37a0) at kernel/qwidget.cpp:6669

#33 0xb751f319 in QWidgetPrivate::show_recursive (this=0x8fd37a0) at kernel/gwidget.cpp:6593

#34 0xb751f49f in QWidgetPrivate::showChildren (this=0x8fc2248, spontaneous=false) at kernel/qwidget.cpp:7027
#35 0xb75lefel in QWidgetPrivate::show_helper (this=0x8fc2248) at kernel/qwidget.cpp:6669

#36 0xb751f6e3 in QWidget::setVisible (this=0x8fcle78, visible=true) at kernel/qwidget.cpp:6941

#37 0xb6flc0e9 in KSystemTrayIcon::minimizeRestore () from /usr/lib/libkdeui.so.5
#38 0xb6f1lc248 in KSystemTrayIcon::activateOrHide () from /usr/lib/libkdeui.so.5
#39 0xb6f1d214 in KSystemTrayIcon::gt_metacall () from /usr/lib/libkdeui.so.5
#40 0xb7£397a9 in QMetaMethod::invoke (this=0xbfd43c44, object=0x9033b98, connectionType=Qt::DirectConnection,
returnValue={<QGenericArgument> = {_data = 0x0, _name = 0x0}, <No data fields>}, valO=

{_data = 0xbfd43fbc, _name = 0x81cl660 "QSystemTrayIcon::ActivationReason"}, vall={_data = 0x0, _name =
0x0}, val2={_data = 0x0, _name = 0x0}, val3={_data = 0x0, _name = 0x0}, vald=

{_data = 0x0, _name = 0x0}, valb={_data = 0x0, _name = 0x0}, val6={_data = 0x0, _name = 0x0}, val7={_dat
a = 0x0, _name = 0x0}, val8={_data = 0x0, _name = 0x0}, val9={_data = 0x0, _name = 0x0})

at kernel/gmetaobject.cpp:1513
#41 0xb7f£39f2f in QMetaObject::invokeMethod (obj=0x9033b98, member=0x81cl682 "activateOrHide", type=Qt::AutoCo

nnection, ret={<QGenericArgument> = {_data = 0x0, _name = 0x0}, <No data fields>}, valO=

{_data = 0xbfd43fbc, _name = 0x81cl660 "QSystemTrayIcon::ActivationReason"}, vall={_data = 0x0, _name =
0x0}, val2={_data = 0x0, _name = 0x0}, val3={_data = 0x0, _name = 0x0}, vald=

{_data = 0x0, _name = 0x0}, val5={_data = 0x0, _name = 0x0}, vale6e={_data = 0x0, _name = 0x0}, val7={_dat
a = 0x0, _name = 0x0}, val8={_data = 0x0, _name = 0x0}, val9={_data = 0x0, _name = 0x0})

at kernel/gmetaobject.cpp:1109
#42 0x0808b555 in QMetaObject::invokeMethod (obj=0x9033b98, member=0x81cl682 "activateOrHide", valO={_data = 0

x1, _name = 0x81cl660 "QSystemTrayIcon::ActivationReason"}, vall=
{_data = 0x1, _name = 0x0}, val2={_data = 0x1, _name = 0x0}, val3={_data = 0x1, _name = 0x0}, vald={_dat
a = 0xl, _name = 0x0}, valb5={_data = 0x1l, _name = 0x0}, valé6={_data = 0x1l, _name = 0x0},
val7={_data = 0x1, _name = 0x0}, val8={_data = 0Oxl, _name = 0x0}, val9={_data = 0xl, _name = 0x0}) at /usr

/include/qt4/QtCore/gobjectdefs.h:403
#43 0x0808a5c7 in SystemTray::on_activated (this=0x8fe8dd8, reason=QSystemTrayIcon::Trigger) at /home/dalbers/
src/quassel/src/qtui/systemtray.cpp:185
#44 0x080el37c in SystemTray::gt_metacall (this=0x8fe8dd8, _c=QMetaObject::InvokeMetaMethod, _id=13, _a=0xbfd4
40bc) at /home/dalbers/src/quassel-build/src/gtui/moc_systemtray.cxx:104
#45 0xb7f46ca8 in QMetaObject::activate (sender=0x9033b98, from_signal_index=4, to_signal_index=4, argv=0xbfd4
40bc) at kernel/gobject.cpp:3069
#46 0xb7f47932 in QMetaObject::activate (sender=0x9033b98, m=0xb7d63fa8, local_signal_index=0, argv=0xbfd440bc
) at kernel/gobject.cpp:3143
#47 0xb7b82533 in QSystemTrayIcon::activated (this=0x9033b98, _tl=QSystemTrayIcon::Trigger) at .moc/release-sh
ared/moc_gsystemtrayicon.cpp:128
#48 0xb7b7289b in QSystemTrayIconSys::mousePressEvent (this=0x9018410, ev=0xbfd44608) at util/gsystemtrayicon_
x11.cpp:298
#49 0xb7519c46 in QWidget::event (this=0x9018410, event=0xbfd44608) at kernel/gqwidget.cpp:7512
#50 0xb7b72754 in QSystemTrayIconSys::event (this=0xl, e=0xbfd42b3c) at util/gsystemtrayicon_x1ll.cpp:321
#51 0xb74c2e9c in QApplicationPrivate::notify_helper (this=0x8ef4e98, receiver=0x9018410, e=0xbfd44608) at ker
nel/gapplication.cpp:4084
#52 0xb74cbbll in QApplication::notify (this=0xbfd44f18, receiver=0x9018410, e=0xbfd44608) at kernel/gapplicat
ion.cpp:3786
#53 0xb6e9094d in KApplication::notify () from /usr/lib/libkdeui.so.5
#54 0xb7f30a3b in QCoreApplication::notifyInternal (this=0xbfd44f18, receiver=0xbfd44f18, event=0xbfd44608) at
kernel/gcoreapplication.cpp: 602
#55 0xb74cab7e in QApplicationPrivate::sendMouseEvent (receiver=0x9018410, event=0xbfd44608, alienWidget=0x0,
nativeWidget=0x9018410, buttonDown=0xb7d6d200, lastMouseReceiver=0@0xb7d6d204)

at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:216
#56 0xb753a97e in QETWidget::translateMouseEvent (this=0x9018410, event=0xbfd44c4c) at kernel/gapplication_x11
.Cpp:4425
#57 0xb7539ca7 in QApplication::xllProcessEvent (this=0xbfd44f18, event=0xbfd44c4c) at kernel/gapplication_x11
.cpp:3421
#58 0xb7564c6a in x1lEventSourceDispatch (s=0x8ef7e00, callback=0, user_data=0x0) at kernel/gguieventdispatche
r_glib.cpp:146
#59 0xb68cbb88 in IA__g main_context_dispatch (context=0x8ef6e98) at /build/buildd/glib2.0-2.20.1/glib/gmain.c
:1814
#60 0xb68cfleb in g_main_context_iterate (context=0x8ef6e98, block=1, dispatch=1, self=0x8efd44e8) at /build/bu
11dd/glib2.0-2.20.1/glib/gmain.c:2448
#61 0xb68cf268 in IA__g _main_context_iteration (context=0x8ef6e98, may_block=1) at /build/buildd/glib2.0-2.20.
1/glib/gmain.c:2511

#62 0xb7f5c438 in QEventDispatcherGlib::processEvents (this=0x8ee2600, flags={i = -1076605432}) at kernel/geve
ntdispatcher_glib.cpp:323

#63 0xb7564365 in QGuiEventDispatcherGlib::processEvents (this=0x8ee2600, flags={i = -1076605384}) at kernel/q
guieventdispatcher_glib.cpp:202

#64 0xb7f2f06a in QEventLoop: :processEvents (this=0xbfd44eb0, flags={i = -1076605320}) at kernel/geventloop.cp
p:149

#65 Oxb7f2fd4aa in QEventLoop::exec (this=0xbfd44eb0, flags={i = -1076605256}) at kernel/geventloop.cpp:200

#66 0xb7£31959 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:880

#67 0xb74c2dl7 in QApplication::exec () at kernel/gapplication.cpp:3553

#68 0x080701f8 in main (argc=0, argv=0xbfd45064) at /home/dalbers/src/quassel/src/common/main.cpp:137

Qt 4.5.0-0ubuntu4.1

#5 - 05/22/2009 11:49 AM - dalbers

Just for reference - This is how the stack looks like when everything goes well:

#0 QSortFilterProxyModelPrivate::source_to_proxy (this=0x99606d0, source_index=@0xbfca7264)
at ../../include/QtCore/../../src/corelib/kernel/gabstractitemmodel.h:77

#1 0xb7b2de23 in QSortFilterProxyModel: :mapFromSource (this=0x9964c90, sourcelndex=Q@0xbfca7264)
at itemviews/gsortfilterproxymodel.cpp:2358

#2 0xb7b2a820 in QSortFilterProxyModelPrivate::insert_source_items (this=0x99606d0,
source_to_proxy=@0x9974020, proxy_to_source=@0x9974018, source_items=@0xbfca7094,
source_parent=0@0xbfca7264, orient=Qt::Vertical, emit_signal=true)
at itemviews/gsortfilterproxymodel.cpp:589

#3 0xb7b2f478 in QSortFilterProxyModelPrivate::source_items_inserted (this=0x99606d0,
source_parent=0@0xbfca7264, start=11218, end=11218, orient=Qt::Vertical)
at itemviews/gsortfilterproxymodel.cpp:713

#4 0xb7b2f68f in QSortFilterProxyModelPrivate::_qg_sourceRowsInserted (this=0x99606d0,
source_parent=@0xbfca7264, start=11218, end=11218) at itemviews/gsortfilterproxymodel.cpp:1150

#5 O0xb7b3071f in QSortFilterProxyModel::gt_metacall (this=0x9964c90, _c=QMetaObject::InvokeMetaMethod,
_id=11, _a=0xbfca7224) at .moc/release-shared/moc_gsortfilterproxymodel.cpp:126

#6 0x08171cff in MessageFilter::gt_metacall (this=0x9964c90, _c=QMetaObject::InvokeMetaMethod, _id=32,
#7

#8

#9

#10

#11
#12

#13

#14

#15

#16

#17

#18

#19

#20

#21

#22

#23

#24

#25

#26

#27

#28

#29

#30

#31
#32

#33

#34
#35

#36

#37
#38

#39

#40

#41

#42

#43

#44

#45

#46
#47

_a=0xbfca7224) at /home/dalbers/src/quassel-build/src/client/moc_messagefilter.cxx:65

0x0811362f in ChatMonitorFilter::gt_metacall (this=0x9964c90, _c=QMetaObject::InvokeMetaMethod, _id=32,
_a=0xbfca7224) at /home/dalbers/src/quassel-build/src/gtui/moc_chatmonitorfilter.cxx:75

0xb7fa9ca8 in QMetaObject::activate (sender=0x9923770, from_signal_index=9, to_signal_index=9,
argv=0xbfca7224) at kernel/qgobject.cpp:3069

0xb7faa932 in QMetaObject::activate (sender=0x9923770, m=0x82041d0, local_signal_index=5,
argv=0xbfca7224) at kernel/gobject.cpp:3143

Oxb7fed491f in QAbstractItemModel::rowsInserted (this=0x9923770, _tl=@0xbfca7264, _t2=11218, _t3=11218)
at .moc/release-shared/moc_gabstractitemmodel.cpp:159

0xb7f8e9e3 in QAbstractItemModel::endInsertRows (this=0x9923770) at kernel/gabstractitemmodel.cpp:2081
0x0815e425 in MessageModel::insertMessageGroup (this=0x9923770, msglist=@0xbfca73b4)

at /home/dalbers/src/quassel/src/client/messagemodel.cpp:167

0x0815efle in MessageModel::insertMessage (this=0x9923770, msg=@0xbfca7408, fakeMsg=false)

at /home/dalbers/src/quassel/src/client/messagemodel.cpp:81

0x08074bf3 in QtUiMessageProcessor::process (this=0x99235f8, msg=Q@0xbfca7408)

at /home/dalbers/src/quassel/src/gtui/gtuimessageprocessor.cpp: 60

0x081l4eela in Client::recvMessage (this=0x9913288, msg=0@0xb9%ee460)

at /home/dalbers/src/quassel/src/client/client.cpp:444

0x0816f95c in Client::gt_metacall (this=0x9913288, _c=QMetaObject::InvokeMetaMethod, _id=21,
_a=0xbfca74a4) at /home/dalbers/src/quassel-build/src/client/moc_client.cxx:152

0x081915d7 in SignalProxy::invokeSlot (this=0x9912e78, receiver=0x9913288, methodId=25,
params=@0xbfca7598, returnValue=Q@0xbfca7544) at /home/dalbers/src/quassel/src/common/signalproxy.cpp:882
0x0819166b in SignalProxy::invokeSlot (this=0x9912e78, receiver=0x9913288, methodId=25,
params=Q@0xbfca7598) at /home/dalbers/src/quassel/src/common/signalproxy.cpp:893

0x08191845 in SignalProxy::handleSignal (this=0x9912e78, data=@0xbfca7628)

at /home/dalbers/src/quassel/src/common/signalproxy.cpp:836

0x0819266f in SignalProxy::receivePeerSignal (this=0x9912e78, sender=0x9ebffc8, requestType=@0xbfca7618,
params=@0xbfca7628) at /home/dalbers/src/quassel/src/common/signalproxy.cpp:679

0x08192922 in SignalProxy::receivePackedFunc (this=0x9912e78, sender=0x9ebffc8, packedFunc=@0xbfca7654)
at /home/dalbers/src/quassel/src/common/signalproxy.cpp:659

0x081929e8 in SignalProxy::dataAvailable (this=0x9912e78)

at /home/dalbers/src/quassel/src/common/signalproxy.cpp:902

0x08la4dba in SignalProxy::gt_metacall (this=0x9912e78, _c=QMetaObject::InvokeMetaMethod, _id=11,
_a=0xbfca7718) at /home/dalbers/src/quassel-build/src/common/moc_signalproxy.cxx:112

0xb7fa9ca8 in QMetaObject::activate (sender=0x99e8cal, from_signal_index=4, to_signal_index=4, argv=0x0)
at kernel/gobject.cpp:3069

0xb7faa932 in QMetaObiject::activate (sender=0x99e8cal, m=0x8203f18, local_signal_index=0, argv=0x0)

at kernel/gobject.cpp:3143

Oxb7fe37b7 in QIODevice::readyRead (this=0x99e8cal) at .moc/release-shared/moc_giodevice.cpp:85
0xb737¢c657 in QSslSocketPrivate::_g readyReadSlot (this=0x9964c90) at ssl/gsslsocket.cpp:2003
0xb7380f7e in QSslSocket::gt_metacall (this=0x99e8cal, _c=QMetaObject::InvokeMetaMethod, _id=15,
_a=0xbfca7828) at .moc/release-shared/moc_gsslsocket.cpp:114

0xb7fa9ca8 in QMetaObiject::activate (sender=0x9f03698, from_signal_index=4, to_signal_index=4, argv=0x0)
at kernel/gobject.cpp:3069

0xb7faa932 in QMetaObject::activate (sender=0x9f03698, m=0x8203f18, local_signal_index=0, argv=0x0)

at kernel/gobject.cpp:3143

Oxb7fe37b7 in QIODevice::readyRead (this=0x9f03698) at .moc/release-shared/moc_giodevice.cpp:85
0xb73657f2 in QAbstractSocketPrivate::canReadNotification (this=0x9f5b2f0)

at socket/gabstractsocket.cpp:602

0xb735277b in QAbstractSocketEngine::readNotification (this=0x99d3ca8)

at socket/gabstractsocketengine.cpp:154

0xb7353ad6 in QReadNotifier::event (this=0x9efldb0, e=0xbfca7c20) at socket/gnativesocketengine.cpp:1036
0xb7525e9c in QApplicationPrivate::notify_helper (this=0x9840e98, receiver=0x9efldb0, e=0xbfca77c20)

at kernel/gapplication.cpp:4084

0xb752el9%e in QApplication::notify (this=0xbfca7e88, receiver=0x9efldb0, e=0xbfca77c20)

at kernel/gapplication.cpp:3631

0xb6ef394d in KApplication::notify () from /usr/lib/libkdeui.so.5

0xb7f93a3b in QCoreApplication::notifyInternal (this=0xbfca7e88, receiver=0xbfca7e88, event=0xbfca7c20)
at kernel/qcoreapplication.cpp:602

Oxb7fbf6ca in socketNotifierSourceDispatch (source=0x9843920)

at ../../include/QtCore/../../src/corelib/kernel/gcoreapplication.h:213

0xb692eb88 in IA___g_main_context_dispatch (context=0x9842e98)

at /build/buildd/glib2.0-2.20.1/glib/gmain.c:1814

0xb69320eb in g_main_context_iterate (context=0x9842e98, block=1, dispatch=1, self=0x98404e8)

at /build/buildd/glib2.0-2.20.1/glib/gmain.c:2448

0xb6932268 in IA__ g main_context_iteration (context=0x9842e98, may_block=1)

at /build/buildd/glib2.0-2.20.1/glib/gmain.c:2511

0xb7fbf438 in QEventDispatcherGlib::processEvents (this=0x982e600, flags={i = -1077248648})

at kernel/geventdispatcher_glib.cpp:323

0xb75c7365 in QGuiEventDispatcherGlib: :processEvents (this=0x982e600, flags={i = -1077248600})

at kernel/qguieventdispatcher_glib.cpp:202

0xb7£9206a in QEventLoop::processEvents (this=0xbfca7e20, flags={i = -1077248536}

at kernel/geventloop.cpp:149

Oxb7f924aa in QEventLoop::exec (this=0xbfca7e20, flags={i = -1077248472}) at kernel/geventloop.cpp:200
0xb7£94959 in QCoreApplication::exec () at kernel/qgcoreapplication.cpp:880

04/17/2024 13/22



#48 0xb7525d17 in QApplication::exec () at kernel/gapplication.cpp:3553
#49 0x080701£f8 in main (argc=136175848, argv=0xbfca7fd4) at /home/dalbers/src/quassel/src/common/main.cpp:137

#6 - 05/25/2009 11:40 PM - Sputnick
- Target version changed from 0.4.2 to 0.4.3

#7 - 05/26/2009 09:30 AM - jotik

Strangely this does not happen to me at home, when | have AC power and a wired network.

#8 - 06/06/2009 11:58 AM - DevUrandom
Some notes/workarounds from #710:

When | clicked the systray icon right after startup, Quassel crashed.
This was reproducable until | tried running Quassel in GDB, after which the issue apparently vanished.

Note also that it now became perfectly reproducible. Or in other words: Quassel is now totally unusable, since | can not restore the window anymore.
(Every click on the systray icon, no matter when, will result in Quassel crashing.)

With my Quassel was also totally unusable. | have QuasselClient set up that it automatically connects to the core. | had to stop the core, start
QuasselClient, wait for the error that it couldn't connect, start QuasselCore and then connect QuasselClient again, then | could use Quassel again.

| have found a way to "workaround" the crash:
If I am very fast and click the systray icon while the "Connecting..." dialogue is still open, | can access the Quassel window.
If 1 did that once, | can hide/restore the Quassel window with subsequent clicks on the systray icon without a crash.

Using the last method a lot, | do now have a few more tips:

You have to click right in the moment before/when the "Connecting..." dialogue closes. Clicking before that will not do anything, and clicking too long
afterwards will result in the mentioned crash. The timeframe is about 1s on my computer (AMD X2 5k). If you train a little bit, you will be able to
actually use Quassel quite reliably with this method.

#9 - 06/07/2009 10:29 PM - EgS
- Priority changed from High to Urgent
This sounds pretty much like a blocker... So | wonder why it isn't treated that way...
Anyways: as there's no tray icon on mac os, | can't reproduce this.
So anybody who has this issue:
1.) if you manage to run Quassel and have a visible mainwindow, please disable all treelike views. Those should be your buffer views (views -> buffer
views) and the nicklist (views -> show nicklist). Disable all those views.
2.) Now try to reproduce the bug. If it still occurs please note here.
3.) If it doesn't occur. Bring back one view one at a time and always retry to reproduce the bug. please note when it does crash.
Thanks for your help.
#10 - 06/07/2009 10:49 PM - jotik
EgS wrote:
So anybody who has this issue:
1.) if you manage to run Quassel and have a visible mainwindow, please disable all treelike views. Those should be your buffer views (views ->
buffer views) and the nicklist (views -> show nicklist). Disable all those views.

Done.

2.) Now try to reproduce the bug. If it still occurs please note here.

It does not occur.

3.) If it doesn't occur. Bring back one view one at a time and always retry to reproduce the bug. please note when it does crash.

It occurs when clicking the menu item to show "All buffers". One time | was able to click that without making it crash, when | previously opened and
closed the "Configure buffer views" dialog.

04/17/2024 14/22


https://bugs.quassel.info/issues/710

Additionally the crash also seems to happen when | try to start Quassel with some custom buffer view visible.

#11 - 06/08/2009 11:33 PM - Sputnick

| would love to see a valgrind log of that bug. | can't reproduce with valgrind running, but maybe one of you can...

Just

run

1. valgrind --log-file=somelog.txt quasselclient

and attach the log. I'm still hoping to get some information out of that.

#12 - 06/09/2009 09:38 AM - DevUrandom

- File somelog.txt added

Sputnick wrote:

| can't reproduce with valgrind running, but maybe one of you can...

The trick is to wait. Longer than usual, because it is running in valgrind.

And

"no registered receiver for sync call: IrcUser::awaySet(bool) (objectName="1/devurandom"). Params are:" (QVariant(bool, false) )
ClientBacklogManager::checkForBacklog(): no active backlog requester (yet?).
0x00000000005b1943 0x0000000000000000
0x000000000059bc50 0x0000000000000000
0x00000000080ef460 0x0000000000000000
0x00000000058ceacb QSortFilterProxyModel::parent(QModellndex const&) const
0x000000000588cbf9 QTreeView::indexRowSizeHint(QModellndex const&) const
0x000000000588d27d 0x0000000000000000
0x000000000588d4d1 0x0000000000000000
0x000000000588d8ff QTreeView::updateGeometries()
0x0000000005407182 QWidget::event(QEvent*)
0x0000000005749d7b QFrame::event(QEvent*)
0x000000000585e81d QAbstractltemView::viewportEvent(QEvent*)
0x00000000058943b2 QTreeView::viewportEvent(QEvent*)
0x0000000004f561e7 QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*)
0x00000000053ba33c QApplicationPrivate::notify_helper(QObject*, QEvent™)
0x00000000053c2c3a QApplication::notify(QObject*, QEvent*)
0x00000000077a2d4b KApplication::notify(QObject*, QEvent*)
0x0000000004f56e83 QCoreApplication::notifyInternal(QObject*, QEvent™)
0x0000000005402041 QWidgetPrivate::sendPendingMoveAndResizeEvents(bool, bool)
0x0000000005407d93 QWidgetPrivate::show_helper()
0x0000000005408412 QWidget::setVisible(bool)
0x000000000540821e QWidgetPrivate::showChildren(bool)
0x0000000005407daf QWidgetPrivate::show_helper()
0x0000000005408202 QWidgetPrivate::showChildren(bool)
0x0000000005407daf QWidgetPrivate::show_helper()
0x0000000005408202 QWidgetPrivate::showChildren(bool)
0x0000000005407daf QWidgetPrivate::show_helper()
0x0000000005408412 QWidget::setVisible(bool)
0x0000000000431a7c 0x0000000000000000
0x000000000043c572 0x0000000000000000
0x00000000004b1310 0x0000000000000000
0x0000000004f69125 QMetaObject::activate(QObject*, int, int, void™*)
0x000000000053c691 0x0000000000000000
0x0000000000449f66 0x0000000000000000
0x00000000004b25fe 0x0000000000000000
0x0000000004169125 QMetaObject::activate(QObject™, int, int, void™*)
36. 35 quasselclient 0x00000000004b1c2c 0x0000000000000000

37.36 quasselclient 0x000000000044643b 0x0000000000000000

38. 37 quasselclient 0x00000000004b1cbe 0x0000000000000000

39. 38 libQtCore.so0.4 0x0000000004f69125 QMetaObject::activate(QObject*, int, int, void™*)

40. 39 libQtGui.so0.4 0x000000000597269e QSystemTraylcon::activated(QSystemTraylcon::ActivationReason)

41. 40 libQtGui.so.4 0x0000000005966fcc 0x0000000000000000

42. 41 libQtGui.so.4 0x00000000054074cb QWidget::event(QEvent*)

43. 42 libQtGui.so0.4 0x00000000053ba36d QApplicationPrivate::notify_helper(QObject*, QEvent*)

44.43 libQtGui.so0.4 0x00000000053c3393 QApplication::notify(QObject*, QEvent*)

45. 44 libkdeui.s0.5 0x00000000077a2d4b KApplication::notify(QObject*, QEvent*)

46. 45 libQtCore.so0.4 0x0000000004f56e83 QCoreApplication::notifyInternal(QObject*, QEvent®)

47.46 libQtGui.so.4 0x00000000053c2668 QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**,
QPointer<QWidget>&)

48. 47 libQtGui.s0.4 0x000000000541cbfc 0x0000000000000000

49. 48 libQtGui.so0.4 0x000000000541bbcd QApplication::x11ProcessEvent(_XEvent*)

50. 49 libQtGui.so.4 0x000000000544041c 0x0000000000000000

51.50 libglib-2.0.s0.0  0x0000000008c905f1 g_main_context_dispatch

52.51 libglib-2.0.s0.0  0x0000000008c93c20 0x0000000000000000

53.52 libglib-2.0.s0.0  0x0000000008c93dbc g_main_context_iteration

54.53 libQtCore.so0.4 0x0000000004f7be6f QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)

55. 54 libQtGui.so.4 0x000000000543fcbf 0x0000000000000000

56. 55 libQtCore.so0.4 0x000000000455882 QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)

57.56 libQtCore.so0.4 0x0000000004f55a15 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)

58.57 libQtCore.so0.4 0x0000000004f57a14 QCoreApplication::exec()

59. 58 quasselclient 0x000000000042f32d 0x0000000000000000

60. 59 libc.so0.6 0x00000000080da9f6 __libc_start_main

61.60 quasselclient 0x000000000042e099 0x0000000000000000

Note that it contains loads and loads of "use of unitialised value", which may be bugs or expected libssl/libc/libiconv behaviour.

#13 - 06/14/2009 05:15 PM - DevUrandom

seezer said on IRC that it works on Windows Vista x64. mdyer adds that it works on Mac OS X 10.5.7 as well.
#14 - 06/14/2009 05:59 PM - EgS
DevUrandom wrote:

[...] m4yer adds that it works on Mac OS X 10.5.7 as well.

Fancy, as there is no minimize to tray or even a tray icon on Mac OS ;)

#15 - 06/28/2009 05:17 PM - EgS

To those experiencing this issue:
If it's possible, please upgrade to Qt 4.5.2 and retest.

From the changelog:

— QSortFilterProxyModel

* [250023] Fixes QSortFilterProxyModel not reporting child if the model
needs to fetchMore() .

* [251296] In dynamic filter model, children of temporarily filtered
items were not correctly updated.

* [252507] Show a warning instead of crashing if invalid indexes are
passed.

* [254234] Fixed setDynamicSortFilter not working when setting the model
initially.

Issue 252507 sounds like a fit.

#16 - 07/04/2009 04:41 PM - seezer

EgS wrote:
To those experiencing this issue:
If it's possible, please upgrade to Qt 4.5.2 and retest.
[--]

Issue 252507 sounds like a fit.
Didn't do the job for me. Still crashing when built with Qt 4.5.2

#17 - 07/04/2009 09:56 PM - jotik

seezer wrote:

Didn't do the job for me. Still crashing when built with Qt 4.5.2

Same here.

#18 - 07/04/2009 10:46 PM - DevUrandom

jotik wrote:
seezer wrote:

Didn't do the job for me. Still crashing when built with Qt 4.5.2

Same here.

And here.

#19 - 07/07/2009 12:34 PM - mikearthur
And here!

#20 - 07/29/2009 09:09 AM - dalbers
Qt 4.5.2-0ubuntu?2 stacktrace:

Anwendung: Quassel IRC (quasselclient), Signal SIGSEGV
[Current thread is 0 (LWP 17408)]

Thread 2 (Thread O0xbl1c3b90 (LWP 17414)):

#0 0xb800c430 in _ kernel vsyscall ()

#1 0xb68c90e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i1686/cmov/libpthread.so.0

#2 Oxb6aad2ed in _ pthread_cond_wait (cond=0x8ffea20, mutex=0x8ffeal8) at forward.c:139

#3 0xb7e26e37 in QWaitCondition::wait (this=0x8fb68b0, mutex=0x8fb68ac, time=4294967295) at thread/gwaitcondi
tion_unix.cpp:87

#4 0xb732b922 in QHostInfoAgent::run (this=0x8fb68al) at kernel/ghostinfo.cpp:260

#5 O0xb7e25e02 in QThreadPrivate::start (arg=0x8fb68al) at thread/gthread_unix.cpp:188

#6 0xb68c54ff in start_thread (arg=0xbllc3b90) at pthread_create.c:297

#7 O0xb6a%9ed49e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 1 (Thread 0xb6037700 (LWP 17408)):

[KCrash Handler]

#6 QSortFilterProxyModel::parent (this=0x90e6af8, child=@0x90e94f0) at ../../include/QtCore/../../src/corelib
/kernel/gabstractitemmodel.h:65

#7 0xb7a73b22 in QTreeView::indexRowSizeHint (this=0x8a5c4c0, index=@0x90e94f0) at ../../include/QtCore/../..
/src/corelib/kernel/gabstractitemmodel.h:369

#8 0xb7a74299 in QTreeViewPrivate::itemHeight (this=0x9395d40, item=7) at itemviews/gtreeview.cpp:3207

#9 0xb7a74570 in QTreeViewPrivate::updateScrollBars (this=0x9395d40) at itemviews/gtreeview.cpp:3459

#10 0xb7a74905 in QTreeView::updateGeometries (this=0x8a5c4c0) at itemviews/gtreeview.cpp:2693

#11 Oxb7a2fd4a4 in QAbstractItemView::resizeEvent (this=0x8a5c4c0, event=0xbfe255c8) at itemviews/gabstractitem
view.cpp:2186

#12 0xb753caac in QWidget::event (this=0x8a5c4c0, event=0xbfe255c8) at kernel/gwidget.cpp:7695

#13 0xb78ebel03 in QFrame::event (this=0x8ab5c4c0, e=0xbfe255c8) at widgets/gframe.cpp:559

#14 0xb798ac54 in QAbstractScrollArea::viewportEvent (this=0xffffffff, e=0xffffffeb) at widgets/gabstractscrol
larea.cpp:962

#15 0xb7a3e827 in QAbstractItemView::viewportEvent (this=0x8a5c4c0, event=0xbfe255c8) at itemviews/gabstractit
emview.cpp:1476

#16 0xb7a79bb4 in QTreeView::viewportEvent (this=0x8a5c4c0, event=0xbfe255c8) at itemviews/gtreeview.cpp:1266
#17 0xb798d255 in QAbstractScrollAreaFilter::eventFilter (this=0x892a480, 0=0x8929b18, e=0xbfe255c8) at widget
s/gabstractscrollarea_p.h:100

#18 0xb7f1595a in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x886ce60, receiver=0x8929bl8,
event=0xbfe255c8) at kernel/qcoreapplication.cpp:726

#19 Oxb74e7c4c in QApplicationPrivate::notify_helper (this=0x886ce60, receiver=0x8929b18, e=0xbfe255c8) at ker
nel/gapplication.cpp:4052

#20 Oxb74ef2ea in QApplication::notify (this=0xbfe27fa4, receiver=0x8929b18, e=0xbfe255c8) at kernel/gapplicat
ion.cpp:4021
#21 Oxb6edc94d in KApplication::notify (this=0xbfe27fa4, receiver=0x8929b18, event=0xbfe255c8) at /build/build
d/kded4libs-4.2.2/kdeui/kernel/kapplication.cpp:307
#22 0xb7fl67eb in QCoreApplication::notifyInternal (this=0xbfe27fa4, receiver=0x8929b18, event=0xbfe255c8) at
kernel/gcoreapplication.cpp:610
#23 0xb753b9%a5 in QWidgetPrivate::sendPendingMoveAndResizeEvents (this=0x90eb0b8, recursive=false, disableUpda
tes=false) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#24 0xb7542526 in QWidgetPrivate::show_helper (this=0x90eb0b8) at kernel/gwidget.cpp:6697
#25 0xb7543a3b in QWidget::setVisible (this=0x8929b18, visible=true) at kernel/qwidget.cpp:6975
#26 0xb7542a08 in QWidgetPrivate::showChildren (this=0x9395d40, spontaneous=false) at ../../include/QtGui/../.
./src/gui/kernel/qwidget.h:473
#27 0xb754254e in QWidgetPrivate::show_helper (this=0x9395d40) at kernel/qwidget.cpp:6703
#28 0xb7542869 in QWidgetPrivate::show_recursive (this=0x9395d40) at kernel/gwidget.cpp:6627
#29 0xb754295c in QWidgetPrivate::showChildren (this=0x8a80e60, spontaneous=false) at kernel/gqwidget.cpp:7061
#30 0xb754254e in QWidgetPrivate::show_helper (this=0x8a80e60) at kernel/qwidget.cpp:6703
#31 0xb7542869 in QWidgetPrivate::show_recursive (this=0x8a80e60) at kernel/gwidget.cpp:6627
#32 0xb754295c in QWidgetPrivate::showChildren (this=0x899c0e0, spontaneous=false) at kernel/gqwidget.cpp:7061
#33 0xb754254e in QWidgetPrivate::show_helper (this=0x899c0e0) at kernel/qwidget.cpp:6703
#34 0xb7543a3b in QWidget::setVisible (this=0x899bdl10, visible=true) at kernel/qwidget.cpp:6975
#35 0xb6£680e9 in KSystemTrayIcon::minimizeRestore (this=0x89b9200, restore=true) at /usr/include/qt4/QtGui/qw
idget.h:473
#36 0xb6£68248 in KSystemTrayIcon::activateOrHide (this=0x89b9200, reasonCalled=QSystemTrayIcon::Trigger) at /
build/buildd/kdedlibs—-4.2.2/kdeui/util/ksystemtrayicon.cpp:289
#37 0xb6£69214 in KSystemTrayIcon::gt_metacall (this=0x89b9200, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0x
bfe25blc) at /build/buildd/kdedlibs-4.2.2/0bj-1486-1linux-gnu/kdeui/ksystemtrayicon.moc:84
#38 0xb7f1f23d in QMetaMethod::invoke (this=0xbfe25cac, object=0x89b9200, connectionType=Qt::DirectConnection,
returnValue={<QGenericArgument> = {_data = 0x0, _name = 0x0}, <No data fields>}, valO=

{_data = 0xbfe2602c, _name = 0x81c2d08 "QSystemTrayIcon::ActivationReason"}, vall={_data = 0x0, _name =
0x0}, val2={_data = 0x0, _name = 0x0}, val3={_data = 0x0, _name = 0x0}, valid=

{_data = 0x0, _name = 0x0}, valb={_data = 0x0, _name = 0x0}, valo={_data = 0x0, _name = 0x0}, val7={_dat
a = 0x0, _name = 0x0}, val8={_data = 0x0, _name = 0x0}, val9={_data = 0x0, _name = 0x0})

at kernel/gmetaobject.cpp:1522

#39 0xb7f1£f82f in QMetaObject::invokeMethod (obj=0x89b9200, member=0x81lc2d2a "activateOrHide", type=Qt::AutoCo

nnection, ret={<QGenericArgument> = {_data = 0x0, _name = 0x0}, <No data fields>}, valO=

{_data = 0xbfe2602c, _name = 0x81c2d08 "QSystemTrayIcon::ActivationReason"}, vall={_data = 0x0, _name =
0x0}, val2={_data = 0x0, _name = 0x0}, val3={_data = 0x0, _name = 0x0}, vald=

{_data = 0x0, _name = 0x0}, valb={_data = 0x0, _name = 0x0}, val6={_data = 0x0, _name = 0x0}, val7={_dat
a = 0x0, _name = 0x0}, val8={_data = 0x0, _name = 0x0}, val9={_data = 0x0, _name = 0x0})

at kernel/gmetaobject.cpp:1114

#40 0x080883f5 in QMetaObject::invokeMethod (obj=0x8909200, member=0x8lc2d2a "activateOrHide", valO={_data = 0
xffffffeb, _name = 0x81c2d08 "QSystemTrayIcon::ActivationReason"}, vall=

{_data = Oxffffffeb, _name = 0x0}, val2={_data = Oxffffffeb, _name = 0x0}, val3={_data = Oxffffffeb, _na

0x0}, vald4={_data = Oxffffffeb, _name = 0x0}, valb=

{_data = Oxffffffeb, _name = 0x0}, valé6={_data = Oxffffffeb, _name = 0x0}, val7={_data = Oxffffffeb, _na
me = 0x0}, val8={_data = Oxffffffeb, _name = 0x0}, val9=

{_data = Oxffffffeb, _name = 0x0}) at /usr/include/gt4/QtCore/qgobjectdefs.h:403
#41 0x08087467 in SystemTray::on_activated (this=0x89d6618, reason=QSystemTrayIcon::Trigger) at /home/dalbers/
src/quassel/src/qtui/systemtray.cpp:185
#42 0x080df34c in SystemTray::gt_metacall (this=0x89d6618, _c=QMetaObject::InvokeMetaMethod, _id=13, _a=0xbfe2
6138) at /home/dalbers/src/quassel-build/src/gtui/moc_systemtray.cxx:104
#43 0xb7f2c383 in QMetaObject::activate (sender=0x89b9200, from_signal_index=4, to_signal_index=4, argv=0xbfe2
6138) at kernel/gobject.cpp:3113
#44 0xb7f2cfe2 in QMetaObject::activate (sender=0x89b9200, m=0xb7d5df88, local_signal_index=0, argv=0xbfe26138
) at kernel/gobject.cpp:3187
#45 0xb7b7d933 in QSystemTrayIcon::activated (this=0x89b9200, _tl=QSystemTrayIcon::Trigger) at .moc/release-sh
ared/moc_gsystemtrayicon.cpp:128
#46 0xb7b6dc43 in QSystemTrayIconSys::mousePressEvent (this=0x89da410, ev=0xbfe26620) at util/gsystemtrayicon_
x11.cpp:298
#47 0xb753cc96 in QWidget::event (this=0x89dad4l0, event=0xbfe26620) at kernel/gqwidget.cpp:7545
#48 0xb7b6da80 in QSystemTrayIconSys::event (this=0xffffffeb, e=0x90e6af8) at util/gsystemtrayicon_x1l.cpp:321
#49 0xb74e7c74 in QApplicationPrivate::notify_helper (this=0x886ce60, receiver=0x89da410, e=0xbfe26620) at ker
nel/gapplication.cpp:4056
#50 0xb74efd53 in QApplication::notify (this=0xbfe27fad4, receiver=0x89dad4l0, e=0xbfe26620) at kernel/gapplicat
ion.cpp:3758
#51 Oxb6edc94d in KApplication::notify (this=0xbfe27fa4, receiver=0x89dad4l0, event=0xbfe26620) at /build/build
d/kded4libs-4.2.2/kdeui/kernel/kapplication.cpp:307
#52 0xb7fl67eb in QCoreApplication::notifyInternal (this=0xbfe27fa4, receiver=0x89da4l10, event=0xbfe26620) at
kernel/gcoreapplication.cpp:610
#53 0Oxb74eec8e in QApplicationPrivate::sendMouseEvent (receiver=0x89da410, event=0xbfe26620, alienWidget=0x0,
nativeWidget=0x89da410, buttonDown=0xb7d6laal, lastMouseReceiver=@0xb7d6laa4)

at ../../include/QtCore/../../src/corelib/kernel/gcoreapplication.h:216

#54 0xb755d400 in QETWidget::translateMouseEvent (this=0x89da410, event=0xbfe27c6c) at kernel/gapplication_x11
.cpp:4409
#55 0xb755c88b in QApplication::x11ProcessEvent (this=0xbfe27fa4, event=0xbfe27cé6c) at kernel/gapplication_x11
.Cpp:3428
#56 0xb7589102 in x1lEventSourceDispatch (s=0x886fe00, callback=0, user_data=0x0) at kernel/gguieventdispatche

me
r_glib.cpp:146

#57 0xb6911b88 in IA__g_main_context_dispatch (context=0x886f098) at /build/buildd/glib2.0-2.20.1/glib/gmain.c
:1814

#58 0xb69150eb in g_main_context_iterate (context=0x886f098, block=1, dispatch=1, self=0x886c4b0) at /build/bu
1i1dd/glib2.0-2.20.1/glib/gmain.c:2448

#59 0xb6915268 in IA__ g _main_context_iteration (context=0x886£f098, may_block=1) at /build/buildd/glib2.0-2.20.
1/glib/gmain.c:2511

#60 O0xb7f4ll4c in QEventDispatcherGlib::processEvents (this=0x885a5b0, flags={i = 36}) at kernel/geventdispatc
her_glib.cpp:327

#61 0xb75887e5 in QGuiEventDispatcherGlib: :processEvents (this=0x885a5b0, flags={i = 36}) at kernel/gguieventd
ispatcher_glib.cpp:202

#62 0xb7£14d99 in QEventLoop::processEvents (this=0xbfe27f14, flags=) at kernel/geventloop.cpp:149

#63 0xb7fl5lea in QEventLoop::exec (this=0xbfe27f14, flags={i = 0}) at kernel/geventloop.cpp:201

#64 0xb7£f1765f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888

#65 0xb74e7af7 in QApplication::exec () at kernel/gapplication.cpp:3525

#66 0x08070298 in main (argc=136232392, argv=0xbfe280f4) at /home/dalbers/src/quassel/src/common/main.cpp:138

#21 - 08/19/2009 07:33 AM - bbigras

Until now | was using v0.5-pre (dist-84b0f5f) and was able to replicate this bug (or a very similar one).

Updating to d7832127ff8412b09d9fa4e56570d8a890abcbbe seem to have fixed the problem for me.

#22 - 08/19/2009 09:21 AM - DevUrandom

bbigras wrote:

Until now | was using v0.5-pre (dist-84b0f5f) and was able to replicate this bug (or a very similar one).
Updating to d7832127ff8412b09d9fa4e56570d8a890abcbbe seem to have fixed the problem for me.

| tested just again: b819fa39f3053f047f5389456570d00020051688 is also already working.

#23 - 08/19/2009 09:54 AM - DevUrandom

Bisection shows that the issue was fixed in 119114e986ac8e05ca9698643cf749c24a1ef147. (f047a4f7add72ef7e32ad33f884e62a5773ecc72 still
crashes, 119114e986ac8e05ca9698643cf749c24a1ef147 is the first to work)

#24 - 08/23/2009 05:52 PM - seezer

| still can reproduce the bug.
A fulldebug gt build shows a little different backtrace:
(gdb) run
Starting program: /home/seezer/dev/qt/quassel/build_dev/quasselclient
[Thread debugging using libthread_db enabled]
[New Thread 0xb5blc700 (LWP 11840)]
Qt: gdb: -nograb added to command-line options.
Use the -dograb option to enforce grabbing.
[New Thread 0xb340db70 (LWP 11843)]
ClientBacklogManager: :checkForBacklog(): no active backlog requester (yet?).
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread Oxb5blc700 (LWP 11840)]
0xb7953231 in QSortFilterProxyModelPrivate::index_to_iterator (this=0xa737090, proxy_index=@0xa00e%9a8) at item
views/gsortfilterproxymodel.cpp:153
153 Q_ASSERT (it.value());
(gdb) bt
#0 0xb7953231 in QSortFilterProxyModelPrivate::index_to_iterator (this=0xa737090, proxy_index=@0xa00e%9a8) at
itemviews/gsortfilterproxymodel.cpp:153
#1 0xb79500eb in QSortFilterProxyModel::parent (this=0xalbd380, child=@0xa00e%9a8) at itemviews/gsortfilterpro
xymodel.cpp:1550

#2 0xb776904e in QModelIndex::parent (this=0xa00e%9a8) at ../../include/QtCore/../../src/corelib/kernel/gabstr
actitemmodel.h:369
#3 0xb790adbe in QTreeView::indexRowSizeHint (this=0xa7676e0, index=@0xa00e%9a8) at itemviews/gtreeview.cpp:27
64
#4 0xb790cfed in QTreeViewPrivate::itemHeight (this=0xa027840, item=0) at itemviews/gtreeview.cpp:3207

#5 0xb790dcb7 in QTreeViewPrivate::updateScrollBars (this=0xa027840) at itemviews/gtreeview.cpp:3459
#6 0xb790a93a in QTreeView::updateGeometries (this=0xa7676e0) at itemviews/gtreeview.cpp:2693

#7 0xb78cc452 in QAbstractItemView::resizeEvent (this=0xa7676e0, event=0xbfaelllc) at itemviews/gabstractitem
view.cpp:2186
#8 0xb73d6aa2 in QWidget::event (this=0xa7676e0, event=0xbfaelOllc) at kernel/gwidget.cpp:7695

#9 0xb7796f3a in QFrame::event (this=0xa7676e0, e=0xbfaelllc) at widgets/gframe.cpp:559

#10 0xb782d4e6 in QAbstractScrollArea::viewportEvent (this=0xa7676e0, e=0xbfaelllc) at widgets/gabstractscroll
area.cpp:962

#11 0xb78c8d0d in QAbstractItemView::viewportEvent (this=0xa7676e0, event=0xbfaelllc) at itemviews/gabstractit
emview.cpp:1476

#12 0xb7904149 in QTreeView::viewportEvent (this=0xa7676e0, event=0xbfaeOllc) at itemviews/gtreeview.cpp:1266

#13 0xb782deff in QAbstractScrollAreaPrivate::viewportEvent (this=0xa027840, event=0xbfaelOllc) at widgets/gabs
tractscrollarea_p.h:100

#14 0xb782dfb2 in QAbstractScrollAreaFilter::eventFilter (this=0xalc98a0, 0=0xa0500c0, e=0xbfaelllc) at widget
s/gabstractscrollarea_p.h:111

#15 Oxb7ddd6ff in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x9facO0b0, receiver=0xa0500cO,
event=0xbfae0llc) at kernel/qcoreapplication.cpp:726

#16 0xb7383ecf in QApplicationPrivate::notify_helper (this=0x9fac0b0, receiver=0xa0500c0, e=0xbfaelOllc) at ker
nel/gapplication.cpp:4052

#17 0xb7383d57 in QApplication::notify (this=0xbfae2728, receiver=0xa0500c0, e=0xbfaelllc) at kernel/gapplicat
ion.cpp:4021

#18 0xb7ddd4c0 in QCoreApplication::notifyInternal (this=0xbfae2728, receiver=0xa0500c0, event=0xbfaelllc) at
kernel/qcoreapplication.cpp:606

#19 0x081fb707 in QCoreApplication::sendEvent (receiver=0xa0500c0, event=0xbfaelOllc) at /usr/include/QtCore/qc
oreapplication.h:213

#20 0xb73d456a in QWidgetPrivate::sendPendingMoveAndResizeEvents (this=0xa82ce28, recursive=false, disableUpda
tes=false) at kernel/qwidget.cpp:6646

#21 0xb73d47e6 in QWidgetPrivate::show_helper (this=0xa82ce28) at kernel/gwidget.cpp:6697

#22 0xb73d5260 in QWidget::setVisible (this=0xa0500c0, visible=true) at kernel/gwidget.cpp:6975

#23 0xb73bb0fe in QWidget::show (this=0xa0500c0) at ../../include/QtGui/../../src/gui/kernel/qwidget.h:473
#24 0xb73d566d in QWidgetPrivate::showChildren (this=0xa027840, spontaneous=false) at kernel/gqwidget.cpp:7063
#25 0xb73d4814 in QWidgetPrivate::show_helper (this=0xa027840) at kernel/gwidget.cpp:6703
#26 0xb73d43de in QWidgetPrivate::show_recursive (this=0xa027840) at kernel/gwidget.cpp:6627
#27 0xb73d5660 in QWidgetPrivate::showChildren (this=0xa8ea2l10, spontaneous=false) at kernel/gwidget.cpp:7061
#28 0xb73d4814 in QWidgetPrivate::show_helper (this=0xa8ea2l10) at kernel/gwidget.cpp:6703
#29 0xb73d43de in QWidgetPrivate::show_recursive (this=0xa8ea2l10) at kernel/gwidget.cpp:6627
#30 0xb73d5660 in QWidgetPrivate::showChildren (this=0xa0a7320, spontaneous=false) at kernel/gwidget.cpp:7061
#31 0xb73d4814 in QWidgetPrivate::show_helper (this=0xa0a7320) at kernel/gwidget.cpp:6703
#32 0xb73d5260 in QWidget::setVisible (this=0xa08ac08, visible=true) at kernel/qwidget.cpp:6975
#33 0x08132132 in QWidget::show (this=0xa08ac08) at /usr/include/QtGui/gqwidget.h:473
#34 0x081309bd in MainWin::forceActivated (this=0xa08ac08) at /home/seezer/dev/gt/quassel/src/gtui/mainwin.cpp
:942
#35 0x08138518 in QtUi::notificationActivated (this=0x9fffe58, notificationId=1l) at /home/seezer/dev/qgt/quasse
1/src/gtui/gtui.cpp:163
#36 0x081b8a2b in QtUi::gt_metacall (this=0x9fffe58, _c=QMetaObject::InvokeMetaMethod, _id=3, _a=0xbfae06b8)
at /home/seezer/dev/qgt/quassel/build_dev/src/gtui/moc_gtui.cxx:74
#37 0xb7df36c9 in QMetaObject::activate (sender=0xalf0460, from_signal_index=4, to_signal_index=5, argv=0xbfae
06b8) at kernel/gobject.cpp:3101
#38 0xb7df3a3b in QMetaObject::activate (sender=0xalf0460, m=0x84f5360, from_local_signal_index=0, to_local_si
gnal_index=1, argv=0xbfael06b8) at kernel/gobject.cpp:3198
#39 0x08251186 in AbstractNotificationBackend::activated (this=0xalf0460, _tl=1)
at /home/seezer/dev/qgt/quassel/build_dev/src/uisupport/moc_abstractnotificationbackend.cxx:82
#40 0x08145bd3 in SystrayNotificationBackend::notificationActivated (this=0xalf0460) at /home/seezer/dev/qgt/qu
assel/src/qtui/systraynotificationbackend.cpp:102
#41 0x081b95a4 in SystrayNotificationBackend::gt_metacall (this=0xalf0460, _c=QMetaObject::InvokeMetaMethod,
id=2, _a=0xbfae0748)
at /home/seezer/dev/qt/quassel/build_dev/src/qtui/moc_systraynotificationbackend.cxx:77
#42 0xb7df36c9 in QMetaObject::activate (sender=0xald8560, from_signal_index=6, to_signal_index=6, argv=0x0) a
t kernel/qgobject.cpp:3101
#43 0xb7df3970 in QMetaObject::activate (sender=0xald8560, m=0x84d75e0, local_signal_index=2, argv=0x0) at ker
nel/gobject.cpp:3178
#44 0x081b94d3 in SystemTray::messageClicked (this=0xald8560) at /home/seezer/dev/gt/quassel/build_dev/src/gtu
i/moc_systemtray.cxx:129
#45 0x081b928d in SystemTray::gt_metacall (this=0xald8560, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0xbfael
at /home/seezer/dev/qt/quassel/build_dev/src/gtui/moc_systemtray.cxx:93
#46 0xb7df36c9 in QMetaObject::activate (sender=0xale3840, from_signal_index=5, to_signal_index=5, argv=0x0) a
t kernel/gobject.cpp:3101
#47 0xb7df3970 in QMetaObject::activate (sender=0xale3840, m=0xb7c18d08, local_signal_index=1, argv=0x0) at ke
rnel/gobject.cpp:3178
#48 0xb7a0lfa9 in QSystemTrayIcon::messageClicked (this=0xale3840) at .moc/debug-shared/moc_gsystemtrayicon.cp
p:134
#49 0xb79£39f4 in QSystemTrayIconSys::mousePressEvent (this=0xale89c8, ev=0xbfaele8c) at util/gsystemtrayicon_
x11.cpp:293
—-—-Type <return> to continue, or g <return> to quit—--—-
#50 Oxb73d63ed in QWidget::event (this=0xale89c8, event=0xbfaele8c) at kernel/qwidget.cpp:7545
#51 0xb79f3b46 in QSystemTrayIconSys::event (this=0xale89c8, e=0xbfaele8c) at util/gsystemtrayicon_x1ll.cpp:321
#52 0xb7383ef3 in QApplicationPrivate::notify_helper (this=0x9fac0b0, receiver=0xale89c8, e=0xbfaele8c) at ker
nel/gapplication.cpp:4056
#53 0xb7382d1f in QApplication::notify (this=0xbfae2728, receiver=0xale89c8, e=0xbfaele8c) at kernel/gapplicat
ion.cpp:3758
#54 0xb7ddd4c0 in QCoreApplication::notifyInternal (this=0xbfae2728, receiver=0xale89c8, event=0xbfaele8c) at
kernel/gcoreapplication.cpp:606
#55 0xb7384cdb in QCoreApplication::sendSpontaneousEvent (receiver=0xale89c8, event=0xbfaele8c) at ../../inclu
de/QtCore/../../src/corelib/kernel/qcoreapplication.h:216
#56 0xb73817cf in QApplicationPrivate::sendMouseEvent (receiver=0xale89c8, event=0xbfaele8c, alienWidget=0x0,
nativeWidget=0xale89c8, buttonDown=0xb7c23aal,

lastMouseReceiver=@0xb7c23aa4) at kernel/gapplication.cpp:2924
#57 0xb73£3384 in QETWidget::translateMouseEvent (this=0xale89c8, event=0xbfae2400) at kernel/gapplication_x11
.Cpp:4409
#58 0xb73f01bd in QApplication::xllProcessEvent (this=0xbfae2728, event=0xbfae2400) at kernel/gapplication_x11
.Cpp:3428
#59 0xb7420364 in x11lEventSourceDispatch (s=0x9fafeb0, callback=0, user_data=0x0) at kernel/gguieventdispatche
r_glib.cpp:146

#60 0xb5eb8d98 in g_main_context_dispatch () from /usr/lib/libglib-2.0.s0.0
#61 Oxb5ebc3e0 in g_main_context_iterate () from /usr/lib/libglib-2.0.s0.0
#62 0xb5ebc513 in g_main_context_iteration () from /usr/lib/libglib-2.0.s0.0

#63 0xb7e0ba77a in QEventDispatcherGlib::processEvents (this=0x9faal00, flags={i = 36}) at kernel/geventdispatc
her_glib.cpp:327

#64 0xb7420878 in QGuiEventDispatcherGlib::processEvents (this=0x9faal00, flags={i = 36}) at kernel/gguieventd
ispatcher_glib.cpp:202

#65 0xb7ddbl0b in QEventLoop::processEvents (this=0xbfae26bc, flags={i = 36}) at kernel/geventloop.cpp:149

#66 Oxb7ddb24f in QEventLoop::exec (this=0xbfae26bc, flags={i = 0}) at kernel/geventloop.cpp:197

#67 Oxb7dddafc in QCoreApplication::exec () at kernel/gcoreapplication.cpp:888

#68 0xb73822c8 in QApplication::exec () at kernel/gapplication.cpp:3525

#69 0x081246¢cl in main (argc=1l, argv=0xbfae2874) at /home/seezer/dev/gt/quassel/src/common/main.cpp:139

(gdb)

#25 - 08/26/2009 01:34 PM - Sputnick

We have found a pOSSIb|e workaround (sadly not a real fix) for this and put it in git master:

(this patch should cleanly apply to 0.4.x too, if

someone wants to try it out in the branch)

Could affected people please try out current git master and see if this issue is still present?

#26 - 09/11/2009 12:56 AM - Sputnick
- Target version deleted (0.4.3)

#27 - 09/11/2009 10:28 AM - jotik

I have now been using Quassel 0.5_rc1 with Qt 4.5.2 on Gentoo for some time now and | haven't been able to reproduce this crash lately.

#28 - 02/24/2010 03:09 AM - johu
- Status changed from Confirmed to Assigned

- Assignee set to Sputnick

check if this is done and resolve issue with correct version it was fixed

#29 - 03/04/2010 08:31 PM - johu
- Status changed from Assigned to Feedback

please give feedback, if this is resolved with quassel 0.5.2 or higher
http://git.quassel-irc.org/?p=quassel.git;a=commit;h=119c23602ed1aa956d756ad6f56adb05cad1f815

#30 - 03/05/2010 07:21 AM - DevUrandom

I am using 0.6_betaSomething and havent had this issue in a while. Remembering talking to Sput and that it might have been some kind of Qt issue.

#31 - 03/06/2010 01:14 AM - johu
- Status changed from Feedback to Closed

#32 - 03/07/2010 12:55 PM - Sputnick
- Status changed from Closed to Feedback
- Priority changed from Urgent to High

This is not to be closed yet, as we've had an ugly workaround (that caused side-effects) in the code for the past release cycle.
I'm disabling the workaround now to see if the root issue is still around. Please report if you get such a crash again with current master (0.7-pre).
#33 - 03/14/2010 02:39 PM - Sputnick

- Status changed from Feedback to Resolved

- % Done changed from 0 to 100

Applied in changeset 617a3966941742a4e235af440d3665d0274354a8.

#34 - 03/18/2010 02:51 PM - Sputnick

- Status changed from Resolved to Assigned

Reopening, as the issue still isn't fixed. It avoids the crash in some specific instances, but it's still possible to corrupt our models, so we still have to
find the root cause.

#35 - 02/06/2013 07:27 PM - Anonymous

- Status changed from Assigned to Resolved

Applied in changeset github_mirrorjcommit:617a3966941742a4e235af440d3665d0274354a8.

#36 - 02/17/2015 12:48 AM - Sputnick
- Subject changed from Crash on systray icon click to restore window to Crash when disabling uniform row heights for BufferView
- Status changed from Resolved to Assigned

- Priority changed from High to Normal

Seems like disabling the setUniformRowHeights() workaround lets me reproduce this 100% of the time when using Qt5. So reopening this for further
investigation - sometimes Qt complains about invalid model indexes, so there's still something foul in our models, it seems...

#37 - 02/17/2015 12:15 PM - The-Compiler

Sputnick wrote:
Seems like disabling the setUniformRowHeights() workaround lets me reproduce this 100% of the time when using Qt5. So reopening this for
further investigation - sometimes Qt complains about invalid model indexes, so there's still something foul in our models, it seems...

FWIW, | see the same issue in my own (PyQt-based) project:

https://github.com/The-Compiler/qutebrowser/blob/66ec4f05990c52523bf76f3fef8b5098ab7bbb41/qutebrowser/completion/completionwidget.py#L.114
-L120

It's using quite simple QStandardltemModels, with a QSortFilterProxyModel. The only tricky thing it does is sometimes switching models. Other than
that, no idea what triggers it, though | haven't investigated since finding the workaround here.

Files
Quassel-Crash-20090407-1111.log 4.47 KB 04/07/2009 jotik
somelog.txt 2.15 MB 06/09/2009 DevUrandom
https://bugs.quassel.info/projects/quassel-irc/repository/revisions/617a3966941742a4e235af440d3665d0274354a8
